When trying to upgrade: Error running ember build

When running the update with ./launcher rebuild our_app_config.yml, the following error shows up in the log:

Error running ember build

This is the most of the log (whole log was too large, so i cutted some repetitive stuff in the middle)

root@****:/var/discourse# ./launcher rebuild name_of_board
Stopping old container
+ /usr/bin/docker stop -t 60 name_of_board
name_of_board
cd /pups && git pull && git checkout v1.0.3 && /pups/bin/pups --stdin
From https://github.com/discourse/pups
   17f04ec..e0ff889  master     -> origin/master
 * [new branch]      main       -> origin/main
 * [new tag]         v1.1.1     -> v1.1.1
 * [new tag]         v1.1.0     -> v1.1.0
Updating 17f04ec..e0ff889
Fast-forward
 .github/workflows/ci.yml     |  29 ++++++
 .github/workflows/lint.yml   |  27 +++++
 .rubocop.yml                 |   3 +
 Gemfile                      |   2 +
 Guardfile                    |   4 +-
 README.md                    |  21 ++++
 Rakefile                     |  14 +--
 bin/pups                     |   8 +-
 lib/pups.rb                  |  32 ++++--
 lib/pups/cli.rb              |  92 ++++++++++-------
 lib/pups/command.rb          |  25 +++--
 lib/pups/config.rb           | 240 +++++++++++++++++++++++--------------------
 lib/pups/docker.rb           |  69 +++++++++++++
 lib/pups/exec_command.rb     | 182 ++++++++++++++++----------------
 lib/pups/file_command.rb     |  60 +++++------
 lib/pups/merge_command.rb    |  94 ++++++++---------
 lib/pups/replace_command.rb  |  70 +++++++------
 lib/pups/runit.rb            |  47 +++++----
 lib/pups/version.rb          |   4 +-
 pups.gemspec                 |  37 ++++---
 test/cli_test.rb             | 102 +++++++++++++++---
 test/config_test.rb          | 215 ++++++++++++++++++++++++++++----------
 test/docker_test.rb          | 157 ++++++++++++++++++++++++++++
 test/exec_command_test.rb    |  62 ++++++-----
 test/file_command_test.rb    |  17 ++-
 test/merge_command_test.rb   |  64 ++++++------
 test/replace_command_test.rb |  86 ++++++++--------
 test/test_helper.rb          |   2 +
 28 files changed, 1158 insertions(+), 607 deletions(-)
 create mode 100644 .github/workflows/ci.yml
 create mode 100644 .github/workflows/lint.yml
 create mode 100644 .rubocop.yml
 create mode 100644 lib/pups/docker.rb
 create mode 100644 test/docker_test.rb
Note: checking out 'v1.0.3'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again. Example:

  git checkout -b <new-branch-name>

HEAD is now at d1db030 cut a new version
I, [2022-03-09T16:26:59.580755 #1]  INFO -- : Loading --stdin
I, [2022-03-09T16:26:59.592372 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2022-03-09T16:26:59.718463 #1]  INFO -- : Generating locales (this might take a while)...
Generation complete.

I, [2022-03-09T16:26:59.718920 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2022-03-09T16:26:59.731190 #1]  INFO -- : 
I, [2022-03-09T16:26:59.732236 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2022-03-09T16:26:59.738604 #1]  INFO -- : 
I, [2022-03-09T16:26:59.738967 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2022-03-09T16:26:59.782167 #1]  INFO -- : 
I, [2022-03-09T16:26:59.782579 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2022-03-09T16:26:59.788822 #1]  INFO -- : 
I, [2022-03-09T16:26:59.789145 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2022-03-09T16:26:59.795561 #1]  INFO -- : 
I, [2022-03-09T16:26:59.795923 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2022/03/09 16:26:59 socat[33] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2022-03-09T16:26:59.820681 #1]  INFO -- : 
I, [2022-03-09T16:26:59.821057 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2022-03-09T16:26:59.828193 #1]  INFO -- : 
I, [2022-03-09T16:26:59.828504 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2022-03-09T16:26:59.835218 #1]  INFO -- : 
I, [2022-03-09T16:26:59.835565 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2022-03-09T16:26:59.841425 #1]  INFO -- : 
I, [2022-03-09T16:26:59.841791 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2022-03-09T16:26:59.894740 #1]  INFO -- : 
I, [2022-03-09T16:26:59.986049 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown: 
I, [2022-03-09T16:26:59.994792 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2022-03-09T16:27:00.005751 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2022-03-09T16:27:00.017370 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown: 
I, [2022-03-09T16:27:00.017877 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2022-03-09T16:27:02.441824 #1]  INFO -- : 
I, [2022-03-09T16:27:02.442514 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2022-03-09T16:27:02.449453 #1]  INFO -- : 
I, [2022-03-09T16:27:02.449853 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2022-03-09T16:27:02.600258 #1]  INFO -- : 
I, [2022-03-09T16:27:02.600598 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2022-03-09T16:27:02.605873 #1]  INFO -- : 
I, [2022-03-09T16:27:02.606227 #1]  INFO -- : > /root/upgrade_postgres
I, [2022-03-09T16:27:02.622805 #1]  INFO -- : 
I, [2022-03-09T16:27:02.623308 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2022-03-09T16:27:02.633416 #1]  INFO -- : 
I, [2022-03-09T16:27:02.635934 #1]  INFO -- : Replacing data_directory = '/var/lib/postgresql/13/main' with data_directory = '/shared/postgres_data' in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.637365 #1]  INFO -- : Replacing (?-mix:#?listen_addresses *=.*) with listen_addresses = '*' in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.638012 #1]  INFO -- : Replacing (?-mix:#?synchronous_commit *=.*) with synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.638655 #1]  INFO -- : Replacing (?-mix:#?shared_buffers *=.*) with shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.639310 #1]  INFO -- : Replacing (?-mix:#?work_mem *=.*) with work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.640612 #1]  INFO -- : Replacing (?-mix:#?default_text_search_config *=.*) with default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.641356 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2022-03-09T16:27:02.653006 #1]  INFO -- : 
I, [2022-03-09T16:27:02.653646 #1]  INFO -- : Replacing (?-mix:#?checkpoint_segments *=.*) with checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.654340 #1]  INFO -- : Replacing (?-mix:#?logging_collector *=.*) with logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.654849 #1]  INFO -- : Replacing (?-mix:#?log_min_duration_statement *=.*) with log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T16:27:02.657289 #1]  INFO -- : Replacing (?-mix:^#local +replication +postgres +peer$) with local replication postgres  peer in /etc/postgresql/13/main/pg_hba.conf
I, [2022-03-09T16:27:02.689745 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*127.*$) with host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2022-03-09T16:27:02.690298 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2022-03-09T16:27:02.694722 #1]  INFO -- : > sleep 5
2022-03-09 16:27:03.119 UTC [56] LOG:  starting PostgreSQL 13.3 (Debian 13.3-1.pgdg100+1) on x86_64-pc-linux-gnu, compiled by gcc (Debian 8.3.0-6) 8.3.0, 64-bit
2022-03-09 16:27:03.120 UTC [56] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2022-03-09 16:27:03.120 UTC [56] LOG:  listening on IPv6 address "::", port 5432
2022-03-09 16:27:03.127 UTC [56] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2022-03-09 16:27:03.136 UTC [59] LOG:  database system was shut down at 2022-03-09 16:22:47 UTC
2022-03-09 16:27:03.154 UTC [56] LOG:  database system is ready to accept connections
I, [2022-03-09T16:27:07.705641 #1]  INFO -- : 
I, [2022-03-09T16:27:07.706579 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2022-03-09 16:27:08.007 UTC [69] postgres@postgres ERROR:  database "discourse" already exists
2022-03-09 16:27:08.007 UTC [69] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: error: database creation failed: ERROR:  database "discourse" already exists
I, [2022-03-09T16:27:08.011307 #1]  INFO -- : 
I, [2022-03-09T16:27:08.015968 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2022-03-09 16:27:08.231 UTC [80] postgres@discourse ERROR:  role "discourse" already exists
2022-03-09 16:27:08.231 UTC [80] postgres@discourse STATEMENT:  create user discourse;
ERROR:  role "discourse" already exists
I, [2022-03-09T16:27:08.234252 #1]  INFO -- : 
I, [2022-03-09T16:27:08.234612 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2022-03-09T16:27:08.534843 #1]  INFO -- : GRANT

I, [2022-03-09T16:27:08.535171 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2022-03-09T16:27:08.671298 #1]  INFO -- : ALTER SCHEMA

I, [2022-03-09T16:27:08.671737 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2022-03-09T16:27:08.869860 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T16:27:08.870168 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2022-03-09T16:27:09.132087 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T16:27:09.133000 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2022-03-09T16:27:09.366406 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T16:27:09.366855 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2022-03-09T16:27:09.628348 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T16:27:09.628818 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2022-03-09T16:27:09.634505 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2022-03-09T16:27:09.861016 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2022-03-09T16:27:09.867978 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2022-03-09T16:27:09.868149 #1]  INFO -- : > echo postgres installed!
I, [2022-03-09T16:27:09.872222 #1]  INFO -- : postgres installed!

I, [2022-03-09T16:27:09.920093 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown: 
I, [2022-03-09T16:27:09.933809 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2022-03-09T16:27:09.947547 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2022-03-09T16:27:09.949515 #1]  INFO -- : Replacing daemonize yes with  in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.950909 #1]  INFO -- : Replacing (?-mix:^pidfile.*$) with  in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.951833 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2022-03-09T16:27:09.959665 #1]  INFO -- : 
I, [2022-03-09T16:27:09.961212 #1]  INFO -- : Replacing (?-mix:^logfile.*$) with logfile "" in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.962278 #1]  INFO -- : Replacing (?-mix:^bind .*$) with  in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.963508 #1]  INFO -- : Replacing (?-mix:^dir .*$) with dir /shared/redis_data in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.965174 #1]  INFO -- : Replacing (?-mix:^protected-mode yes) with protected-mode no in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.966337 #1]  INFO -- : Replacing # io-threads 4 with io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2022-03-09T16:27:09.967184 #1]  INFO -- : > echo redis installed
I, [2022-03-09T16:27:09.973450 #1]  INFO -- : redis installed

I, [2022-03-09T16:27:09.973864 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2022-03-09T16:27:10.018017 #1]  INFO -- : logfile ""

I, [2022-03-09T16:27:10.018406 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2022-03-09T16:27:10.023578 #1]  INFO -- : > sleep 10
173:C 09 Mar 2022 16:27:10.046 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
173:C 09 Mar 2022 16:27:10.047 # Redis version=6.2.3, bits=64, commit=00000000, modified=0, pid=173, just started
173:C 09 Mar 2022 16:27:10.047 # Configuration loaded
173:M 09 Mar 2022 16:27:10.049 * monotonic clock: POSIX clock_gettime
173:M 09 Mar 2022 16:27:10.053 * Running mode=standalone, port=6379.
173:M 09 Mar 2022 16:27:10.053 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
173:M 09 Mar 2022 16:27:10.053 # Server initialized
173:M 09 Mar 2022 16:27:10.053 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
173:M 09 Mar 2022 16:27:10.056 * Loading RDB produced by version 6.2.3
173:M 09 Mar 2022 16:27:10.056 * RDB age 263 seconds
173:M 09 Mar 2022 16:27:10.056 * RDB memory usage when created 23.24 Mb
173:M 09 Mar 2022 16:27:10.427 * DB loaded from disk: 0.373 seconds
173:M 09 Mar 2022 16:27:10.427 * Ready to accept connections
I, [2022-03-09T16:27:20.029294 #1]  INFO -- : 
I, [2022-03-09T16:27:20.029760 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2022-03-09T16:27:20.039321 #1]  INFO -- : thpoff is installed!

I, [2022-03-09T16:27:20.039703 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2022-03-09T16:27:20.178185 #1]  INFO -- : 
I, [2022-03-09T16:27:20.178598 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2022-03-09T16:27:20.316021 #1]  INFO -- : 
I, [2022-03-09T16:27:20.316604 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2022-03-09T16:27:20.452470 #1]  INFO -- : 
I, [2022-03-09T16:27:20.452914 #1]  INFO -- : > chown -R discourse /home/discourse
I, [2022-03-09T16:27:21.472360 #1]  INFO -- : 
I, [2022-03-09T16:27:21.473008 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2022-03-09T16:27:21.479273 #1]  INFO -- : 
I, [2022-03-09T16:27:21.484799 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown: 
I, [2022-03-09T16:27:21.498908 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2022-03-09T16:27:21.519492 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2022-03-09T16:27:21.560089 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown: 
I, [2022-03-09T16:27:21.572829 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2022-03-09T16:27:21.587245 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2022-03-09T16:27:21.587555 #1]  INFO -- : Replacing # postgres with sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2022-03-09T16:27:21.587939 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2022-03-09T16:27:21.592520 #1]  INFO -- : > cd /var/www/discourse && git reset --hard
201:C 09 Mar 2022 16:27:21.599 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
201:C 09 Mar 2022 16:27:21.599 # Redis version=6.2.3, bits=64, commit=00000000, modified=0, pid=201, just started
201:C 09 Mar 2022 16:27:21.599 # Configuration loaded
201:M 09 Mar 2022 16:27:21.600 * monotonic clock: POSIX clock_gettime
201:M 09 Mar 2022 16:27:21.601 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
201:M 09 Mar 2022 16:27:21.601 # Failed listening on port 6379 (TCP), aborting.
Checking out files: 100% (28860/28860), done.
I, [2022-03-09T16:27:28.936482 #1]  INFO -- : HEAD is now at 74f71503 FEATURE: Automatically timed delete stub topics after entire topic is merged into another topic (#13187)

I, [2022-03-09T16:27:28.936778 #1]  INFO -- : > cd /var/www/discourse && git clean -f
I, [2022-03-09T16:27:29.152852 #1]  INFO -- : 
I, [2022-03-09T16:27:29.153060 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches --add origin main
I, [2022-03-09T16:27:29.170048 #1]  INFO -- : 
I, [2022-03-09T16:27:29.170268 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches origin beta
I, [2022-03-09T16:27:29.178598 #1]  INFO -- : 
I, [2022-03-09T16:27:29.178809 #1]  INFO -- : > cd /var/www/discourse && git fetch --depth 1 origin beta
From https://github.com/discourse/discourse
 * branch              beta       -> FETCH_HEAD
 * [new branch]        beta       -> origin/beta
I, [2022-03-09T16:27:42.675634 #1]  INFO -- : 
I, [2022-03-09T16:27:42.676034 #1]  INFO -- : > cd /var/www/discourse && git checkout beta
Switched to a new branch 'beta'
I, [2022-03-09T16:27:47.942802 #1]  INFO -- : Branch 'beta' set up to track remote branch 'beta' from 'origin'.

I, [2022-03-09T16:27:47.943137 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp

[...]

I, [2022-03-09T16:27:56.487459 #1]  INFO -- : Replacing (?m-ix:upstream[^\}]+\}) with upstream discourse { server 127.0.0.1:3000; } in /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T16:27:56.487967 #1]  INFO -- : Replacing (?-mix:server_name.+$) with server_name _ ; in /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T16:27:56.488791 #1]  INFO -- : Replacing (?-mix:client_max_body_size.+$) with client_max_body_size $upload_size ; in /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T16:27:56.489189 #1]  INFO -- : > echo "done configuring web"
I, [2022-03-09T16:27:56.496362 #1]  INFO -- : done configuring web

I, [2022-03-09T16:27:56.496934 #1]  INFO -- : > cd /var/www/discourse && gem install bundler --conservative -v $(awk '/BUNDLED WITH/ { getline; gsub(/ /,""); print $0 }' Gemfile.lock)
I, [2022-03-09T16:27:58.206507 #1]  INFO -- : Successfully installed bundler-2.3.4
1 gem installed

I, [2022-03-09T16:27:58.206739 #1]  INFO -- : > cd /var/www/discourse && find /var/www/discourse ! -user discourse -exec chown discourse {} \+
I, [2022-03-09T16:28:10.843617 #1]  INFO -- : 
I, [2022-03-09T16:28:10.844238 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle install --deployment --retry 3 --jobs 4 --verbose --without test development'
[DEPRECATED] The `--deployment` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local deployment 'true'`, and stop using this flag
[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 'test development'`, and stop using this flag
I, [2022-03-09T16:31:15.298665 #1]  INFO -- : Running `bundle install --deployment --jobs 4 --retry 3 --verbose --without "test" "development"` with bundler 2.3.4
Frozen, using resolution from the lockfile
The definition is missing ["bootsnap-1.10.3", "actionmailer-6.1.4.1", "actionpack-6.1.4.1", "actionview-6.1.4.1", "activemodel-6.1.4.1", "activerecord-6.1.4.1", "activesupport-6.1.4.1", "railties-6.1.4.1", "sprockets-rails-3.4.2", "json-2.6.1", "mini_mime-1.1.2", "mini_suffix-0.3.3", "redis-4.5.1", "discourse-fonts-0.0.9", "message_bus-4.0.0", "rails_multisite-4.0.0", "fastimage-2.2.6", "aws-sdk-s3-1.96.1", "aws-sdk-sns-1.46.0", "excon-0.91.0", "image_optim-0.31.1", "nokogiri-1.13.1-x86_64-linux", "loofah-2.13.0", "css_parser-1.11.0", "omniauth-facebook-9.0.0", "omniauth-oauth2-1.7.2", "oj-3.13.11", "pg-1.3.1", "mini_sql-1.3.0", "rake-13.0.6", "thor-1.2.1", "sidekiq-6.4.1", "mini_racer-0.6.2", "addressable-2.8.0", "fast_blank-1.0.1", "rack-mini-profiler-2.3.3", "unicorn-6.1.0", "puma-5.6.1", "rss-0.2.9", "cppjieba_rb-0.4.2", "logster-2.10.1", "rqrcode-2.1.0", "rubyzip-2.3.2", "sanitize-6.0.0", "msgpack-1.4.4", "activejob-6.1.4.1", "rails-html-sanitizer-1.4.2", "concurrent-ruby-1.1.9", "i18n-1.9.1", "minitest-5.15.0", "zeitwerk-2.5.4", "ffi-1.15.5", "aws-sdk-core-3.121.2", "aws-sdk-kms-1.44.0", "aws-sigv4-1.4.0", "unf_ext-0.0.8", "image_size-3.0.1", "in_threads-1.6.0", "racc-1.6.0", "hashie-5.0.0", "jwt-2.3.0", "libv8-node-16.10.0.0-x86_64-linux", "ecma-re-validator-0.4.0", "regexp_parser-2.2.0", "raindrops-0.20.0", "nio4r-2.5.8", "rexml-3.2.5", "request_store-1.5.1", "rqrcode_core-1.2.0", "globalid-1.0.0", "aws-eventstream-1.2.0", "aws-partitions-1.516.0", "jmespath-1.5.0", "oauth-0.5.8", "faraday-1.9.3", "openssl-2.2.1", "faraday-httpclient-1.0.1", "faraday-multipart-1.0.3", "faraday-net_http_persistent-1.2.0", "faraday-patron-1.0.0", "faraday-rack-1.0.0", "faraday-retry-1.0.3", "ruby2_keywords-0.0.5", "ipaddr-1.2.4"]
HTTP GET https://index.rubygems.org/versions
HTTP 206 Partial Content https://index.rubygems.org/versions
HTTP GET https://index.rubygems.org/versions
HTTP 200 OK https://index.rubygems.org/versions
Fetching gem metadata from https://rubygems.org/
Looking up gems ["actionmailer", "actionpack", "actionview", "actionview_precompiler", "active_model_serializers", "activejob", "activemodel", "activerecord", "activesupport", "addressable", "annotate", "ast", "aws-eventstream", "aws-partitions", "aws-sdk-core", "aws-sdk-kms", "aws-sdk-s3", "aws-sdk-sns", "aws-sigv4", "barber", "better_errors", "binding_of_caller", "bootsnap", "builder", "bullet", "byebug", "cbor", "certified", "chunky_png", "coderay", "colored2", "concurrent-ruby", "connection_pool", "cose", "cppjieba_rb", "crack", "crass", "css_parser", "debug_inspector", "diff-lcs", "diffy", "discourse-ember-rails", "discourse-ember-source", "discourse-fonts", "discourse_dev_assets", "docile", "ecma-re-validator", "email_reply_trimmer", "ember-data-source", "ember-handlebars-template", "ember-source", "erubi", "excon", "execjs", "exifr", "fabrication", "faker", "fakeweb", "faraday", "faraday-em_http", "faraday-em_synchrony", "faraday-excon", "faraday-httpclient", "faraday-multipart", "faraday-net_http", "faraday-net_http_persistent", "faraday-patron", "faraday-rack", "faraday-retry", "fast_blank", "fast_xs", "fastimage", "ffi", "fspath", "gc_tracer", "globalid", "guess_html_encoding", "hana", "hashdiff", "hashie", "highline", "hkdf", "htmlentities", "http_accept_language", "i18n", "image_optim", "image_size", "in_threads", "ipaddr", "jmespath", "jquery-rails", "json", "json-schema", "json_schemer", "jwt", "kgio", "libv8-node", "listen", "literate_randomizer", "lograge", "logstash-event", "logstash-logger", "logster", "loofah", "lru_redux", "lz4-ruby", "maxminddb", "memory_profiler", "message_bus", "method_source", "mini_mime", "mini_portile2", "mini_racer", "mini_scheduler", "mini_sql", "mini_suffix", "minitest", "mocha", "mock_redis", "msgpack", "multi_json", "multi_xml", "multipart-post", "mustache", "nio4r", "nokogiri", "oauth", "oauth2", "oj", "omniauth", "omniauth-facebook", "omniauth-github", "omniauth-google-oauth2", "omniauth-oauth", "omniauth-oauth2", "omniauth-twitter", "openssl", "openssl-signature_algorithm", "optimist", "parallel", "parallel_tests", "parser", "pg", "progress", "pry", "pry-byebug", "pry-rails", "public_suffix", "puma", "r2", "racc", "rack", "rack-mini-profiler", "rack-protection", "rack-test", "rails-dom-testing", "rails-html-sanitizer", "rails_failover", "rails_multisite", "railties", "rainbow", "raindrops", "rake", "rb-fsevent", "rb-inotify", "rbtrace", "rchardet", "redis", "redis-namespace", "regexp_parser", "request_store", "rexml", "rinku", "rotp", "rqrcode", "rqrcode_core", "rspec", "rspec-core", "rspec-expectations", "rspec-html-matchers", "rspec-mocks", "rspec-rails", "rspec-support", "rss", "rswag-specs", "rtlit", "rubocop", "rubocop-ast", "rubocop-discourse", "rubocop-rspec", "ruby-prof", "ruby-progressbar", "ruby-readability", "ruby2_keywords", "rubyzip", "sanitize", "sassc", "sassc-rails", "seed-fu", "shoulda-matchers", "sidekiq", "simplecov", "simplecov-html", "simplecov_json_formatter", "sprockets", "sprockets-rails", "sshkey", "stackprof", "test-prof", "thor", "tilt", "tzinfo", "uglifier", "unf", "unf_ext", "unicode-display_width", "unicorn", "uniform_notifier", "uri_template", "webmock", "webpush", "xorcist", "yaml-lint", "zeitwerk"]
HTTP GET https://index.rubygems.org/info/annotate
HTTP GET https://index.rubygems.org/info/activerecord

[...]

HTTP GET https://index.rubygems.org/info/zeitwerk
HTTP 206 Partial Content https://index.rubygems.org/info/unf_ext
HTTP 206 Partial Content https://index.rubygems.org/info/zeitwerk
HTTP 200 OK https://index.rubygems.org/info/webmock
HTTP 200 OK https://index.rubygems.org/info/yaml-lint
HTTP 206 Partial Content https://index.rubygems.org/info/unicorn
HTTP 206 Partial Content https://index.rubygems.org/info/unicode-display_width
Looking up gems ["erubis", "rack-mount", "rack-cache", "journey", "rails-deprecated_sanitizer", "memcache-client", "thread_safe", "arel", "activerecord-deprecated_finders", "jsonapi", "case_transform", "jsonapi-renderer", "mail", "text-format", "net-imap", "net-pop", "net-smtp", "activemodel-globalid", "bcrypt-ruby", "ember-template-compiler-source", "handlebars-source", "jamespath", "http-2", "rouge", "columnize", "debugger-linecache", "slop", "rb-readline", "snappy", "aws-crt", "safe_yaml", "functional-ruby", "ref", "rdoc", "rcov", "pastel", "tty-pager", "tty-screen", "tty-tree", "patron", "httpclient", "rb-appscript", "xattr", "ffi-xattr", "net-http-persistent", "termios", "rails", "json_pure", "stud", "rdf", "rb-fchange", "rb-kqueue", "celluloid", "celluloid-io", "ruby_dep", "ruby_parser", "libv8", "net-ftp", "hoe", "metaclass", "eventmachine", "thin", "oa-core", "oa-oauth", "oa-openid", "oa-basic", "oa-enterprise", "oa-more", "ruby-hmac", "weakling", "mini_portile", "pkg-config", "bigdecimal", "faraday-middleware", "httpauth", "win32console", "yard", "spoon", "pry-doc", "sexp_processor", "rake-compiler", "escape_utils", "trollop", "rack-ssl", "base32", "webrat", "rspec-collection_matchers", "strscan", "bundler", "sass", "term-ansicolor", "backports", "powerpack", "astrolabe", "tins", "jaro_winkler", "psych", "lockfile", "bourne", "hpricot", "nokogumbo", "therubyracer", "compass", "sprockets-sass", "sinatra", "slim", "hike"]
HTTP GET https://index.rubygems.org/info/net-pop
HTTP GET https://index.rubygems.org/info/net-imap
HTTP GET https://index.rubygems.org/info/net-smtp
HTTP 200 OK https://index.rubygems.org/info/net-pop
HTTP GET https://index.rubygems.org/info/rack-cache
HTTP 200 OK https://index.rubygems.org/info/net-imap
HTTP GET https://index.rubygems.org/info/rouge
HTTP 206 Partial Content https://index.rubygems.org/info/rack-cache
HTTP 200 OK https://index.rubygems.org/info/net-smtp
HTTP GET https://index.rubygems.org/info/aws-crt
HTTP GET https://index.rubygems.org/info/safe_yaml
HTTP 200 OK https://index.rubygems.org/info/rouge
HTTP 200 OK https://index.rubygems.org/info/aws-crt
HTTP GET https://index.rubygems.org/info/rcov
HTTP 200 OK https://index.rubygems.org/info/safe_yaml
HTTP GET https://index.rubygems.org/info/pastel
HTTP GET https://index.rubygems.org/info/slop
HTTP 200 OK https://index.rubygems.org/info/rcov
HTTP GET https://index.rubygems.org/info/tty-screen
HTTP GET https://index.rubygems.org/info/rdoc
HTTP 200 OK https://index.rubygems.org/info/pastel
HTTP GET https://index.rubygems.org/info/tty-pager
HTTP GET https://index.rubygems.org/info/tty-tree
HTTP 206 Partial Content https://index.rubygems.org/info/slop
HTTP GET https://index.rubygems.org/info/patron
HTTP GET https://index.rubygems.org/info/httpclient
HTTP 206 Partial Content https://index.rubygems.org/info/rdoc
HTTP 200 OK https://index.rubygems.org/info/tty-screen
HTTP 200 OK https://index.rubygems.org/info/tty-tree
HTTP 200 OK https://index.rubygems.org/info/tty-pager
HTTP GET https://index.rubygems.org/info/rails
HTTP 200 OK https://index.rubygems.org/info/httpclient
HTTP 206 Partial Content https://index.rubygems.org/info/rails
HTTP GET https://index.rubygems.org/info/json_pure
HTTP GET https://index.rubygems.org/info/rdf
HTTP GET https://index.rubygems.org/info/ruby_parser
HTTP GET https://index.rubygems.org/info/net-ftp
HTTP GET https://index.rubygems.org/info/hoe
HTTP 206 Partial Content https://index.rubygems.org/info/json_pure
HTTP 206 Partial Content https://index.rubygems.org/info/rdf
HTTP 200 OK https://index.rubygems.org/info/net-ftp
HTTP 206 Partial Content https://index.rubygems.org/info/hoe
HTTP 200 OK https://index.rubygems.org/info/patron
HTTP 206 Partial Content https://index.rubygems.org/info/ruby_parser
HTTP GET https://index.rubygems.org/info/metaclass
HTTP GET https://index.rubygems.org/info/rb-kqueue
HTTP 200 OK https://index.rubygems.org/info/metaclass
HTTP 206 Partial Content https://index.rubygems.org/info/rb-kqueue
HTTP GET https://index.rubygems.org/info/bigdecimal
HTTP GET https://index.rubygems.org/info/pkg-config
HTTP GET https://index.rubygems.org/info/webrat
HTTP GET https://index.rubygems.org/info/weakling
HTTP 206 Partial Content https://index.rubygems.org/info/bigdecimal
HTTP GET https://index.rubygems.org/info/rake-compiler
HTTP 206 Partial Content https://index.rubygems.org/info/pkg-config
HTTP 206 Partial Content https://index.rubygems.org/info/weakling
HTTP 200 OK https://index.rubygems.org/info/webrat
HTTP GET https://index.rubygems.org/info/rspec-collection_matchers
HTTP GET https://index.rubygems.org/info/sexp_processor
HTTP GET https://index.rubygems.org/info/yard
HTTP GET https://index.rubygems.org/info/pry-doc
HTTP GET https://index.rubygems.org/info/bundler
HTTP 200 OK https://index.rubygems.org/info/rspec-collection_matchers
HTTP 206 Partial Content https://index.rubygems.org/info/yard
HTTP 206 Partial Content https://index.rubygems.org/info/rake-compiler
HTTP 206 Partial Content https://index.rubygems.org/info/bundler
HTTP 206 Partial Content https://index.rubygems.org/info/sexp_processor
HTTP GET https://index.rubygems.org/info/tins
HTTP GET https://index.rubygems.org/info/strscan
HTTP 206 Partial Content https://index.rubygems.org/info/strscan
HTTP 206 Partial Content https://index.rubygems.org/info/tins
HTTP GET https://index.rubygems.org/info/backports
HTTP GET https://index.rubygems.org/info/bourne
HTTP 206 Partial Content https://index.rubygems.org/info/backports
HTTP GET https://index.rubygems.org/info/psych
HTTP 200 OK https://index.rubygems.org/info/bourne
HTTP GET https://index.rubygems.org/info/sinatra
HTTP 206 Partial Content https://index.rubygems.org/info/psych
HTTP 206 Partial Content https://index.rubygems.org/info/sinatra
HTTP 206 Partial Content https://index.rubygems.org/info/pry-doc
Looking up gems ["jsonapi-parser", "abstract", "atomic", "multimap", "ZenTest", "RubyInline", "mime-types", "treetop", "tlsmail", "text-hyphen", "bcrypt", "ruby_core_source", "debugger-ruby_core_source", "snappy-jars", "digest", "net-protocol", "timeout", "equatable", "tty-color", "metriks", "timers", "facter", "celluloid-essentials", "celluloid-extras", "celluloid-fsm", "celluloid-pool", "celluloid-supervision", "dotenv", "nenv", "rspec-logsplit", "win32-api", "tty-which", "verse", "strings", "activeresource", "actionwebservice", "actioncable", "activestorage", "actionmailbox", "actiontext", "daemons", "restclient", "rest-client", "rack-openid", "ruby-openid-apps-discovery", "spruz", "net-ldap", "rubyntlm", "pyu-ruby-sasl", "uuid", "XMLCanonicalizer", "link_header", "hamster", "time", "rubyforge", "gemcutter", "ParseTree", "curses", "webrick", "sass-listen", "sprockets-helpers", "haml", "fssm", "compass-core", "compass-import-once", "temple", "sync", "jar-dependencies", "stringio", "mongrel", "mustermann"]
HTTP GET https://index.rubygems.org/info/tty-color
HTTP GET https://index.rubygems.org/info/digest
HTTP GET https://index.rubygems.org/info/net-protocol
HTTP GET https://index.rubygems.org/info/timeout
HTTP GET https://index.rubygems.org/info/ZenTest
HTTP GET https://index.rubygems.org/info/equatable
HTTP 200 OK https://index.rubygems.org/info/tty-color
HTTP GET https://index.rubygems.org/info/tty-which
HTTP 200 OK https://index.rubygems.org/info/digest
HTTP 200 OK https://index.rubygems.org/info/net-protocol
HTTP 200 OK https://index.rubygems.org/info/timeout
HTTP 200 OK https://index.rubygems.org/info/tty-which
HTTP 206 Partial Content https://index.rubygems.org/info/ZenTest
HTTP GET https://index.rubygems.org/info/mime-types
HTTP 200 OK https://index.rubygems.org/info/equatable
HTTP 206 Partial Content https://index.rubygems.org/info/mime-types
HTTP GET https://index.rubygems.org/info/verse
HTTP GET https://index.rubygems.org/info/facter
HTTP 200 OK https://index.rubygems.org/info/verse
HTTP GET https://index.rubygems.org/info/strings
HTTP 206 Partial Content https://index.rubygems.org/info/facter
HTTP 200 OK https://index.rubygems.org/info/strings
HTTP GET https://index.rubygems.org/info/actiontext
HTTP 206 Partial Content https://index.rubygems.org/info/actiontext
HTTP GET https://index.rubygems.org/info/activeresource
HTTP GET https://index.rubygems.org/info/actioncable
HTTP GET https://index.rubygems.org/info/activestorage
HTTP 206 Partial Content https://index.rubygems.org/info/activeresource
HTTP 206 Partial Content https://index.rubygems.org/info/actioncable
HTTP GET https://index.rubygems.org/info/daemons
HTTP GET https://index.rubygems.org/info/actionmailbox
HTTP 206 Partial Content https://index.rubygems.org/info/activestorage
HTTP 206 Partial Content https://index.rubygems.org/info/daemons
HTTP GET https://index.rubygems.org/info/time
HTTP 206 Partial Content https://index.rubygems.org/info/actionmailbox
HTTP GET https://index.rubygems.org/info/webrick
HTTP 200 OK https://index.rubygems.org/info/time
HTTP 200 OK https://index.rubygems.org/info/webrick
HTTP GET https://index.rubygems.org/info/curses
HTTP GET https://index.rubygems.org/info/stringio
HTTP 206 Partial Content https://index.rubygems.org/info/curses
HTTP 200 OK https://index.rubygems.org/info/stringio
HTTP GET https://index.rubygems.org/info/haml
HTTP 206 Partial Content https://index.rubygems.org/info/haml
Looking up gems ["facets", "polyglot", "archive-tar-minitar", "hitimes", "rbtree", "faraday_middleware", "yajl-ruby", "avl_tree", "coveralls", "celluloid-gems", "dotenv-deployment", "test-unit", "io-wait", "mime-types-data", "unicode_utils", "netrc", "http-cookie", "http-accept", "ruby-openid", "CFPropertyList", "sys-admin", "win32-dir", "windows-api", "windows-pr", "win32-security", "hocon", "strings-ansi", "macaddr", "log4r", "SexpProcessor", "net-scp", "rails-observers", "activemodel-serializers-xml", "coffee-rails", "em-hiredis", "faye-websocket", "websocket-driver", "ruby-maven", "marcel", "mimemagic", "cgi_multipart_eof_fix", "fastthread", "gem_plugin", "tool", "date"]
HTTP GET https://index.rubygems.org/info/io-wait
HTTP GET https://index.rubygems.org/info/unicode_utils
HTTP GET https://index.rubygems.org/info/CFPropertyList
HTTP GET https://index.rubygems.org/info/test-unit
HTTP 206 Partial Content https://index.rubygems.org/info/CFPropertyList
HTTP 200 OK https://index.rubygems.org/info/io-wait
HTTP 200 OK https://index.rubygems.org/info/unicode_utils
HTTP 206 Partial Content https://index.rubygems.org/info/test-unit
HTTP GET https://index.rubygems.org/info/http-cookie
HTTP GET https://index.rubygems.org/info/rbtree
HTTP GET https://index.rubygems.org/info/faraday_middleware
HTTP GET https://index.rubygems.org/info/sys-admin
HTTP GET https://index.rubygems.org/info/mime-types-data
HTTP 206 Partial Content https://index.rubygems.org/info/http-cookie
HTTP 206 Partial Content https://index.rubygems.org/info/mime-types-data
HTTP 206 Partial Content https://index.rubygems.org/info/rbtree
HTTP GET https://index.rubygems.org/info/strings-ansi
HTTP 206 Partial Content https://index.rubygems.org/info/sys-admin
HTTP 206 Partial Content https://index.rubygems.org/info/faraday_middleware
HTTP 200 OK https://index.rubygems.org/info/strings-ansi
HTTP GET https://index.rubygems.org/info/marcel
HTTP GET https://index.rubygems.org/info/ruby-maven
HTTP GET https://index.rubygems.org/info/date
HTTP GET https://index.rubygems.org/info/websocket-driver
HTTP 206 Partial Content https://index.rubygems.org/info/marcel
HTTP 206 Partial Content https://index.rubygems.org/info/ruby-maven
HTTP 206 Partial Content https://index.rubygems.org/info/websocket-driver
HTTP 200 OK https://index.rubygems.org/info/date
Looking up gems ["colorize", "minitar", "minitar-cli", "configuration", "mkrf", "ruby-yadis", "power_assert", "systemu", "net-ssh", "coffee-script", "hiredis", "ffi-win32-extensions", "libxml-ruby", "roauth", "domain_name", "sqlite3", "maven-tools", "ruby-maven-libs", "websocket-extensions"]
HTTP GET https://index.rubygems.org/info/power_assert
HTTP 206 Partial Content https://index.rubygems.org/info/power_assert
HTTP GET https://index.rubygems.org/info/net-ssh
HTTP GET https://index.rubygems.org/info/maven-tools
HTTP GET https://index.rubygems.org/info/libxml-ruby
HTTP 206 Partial Content https://index.rubygems.org/info/net-ssh
HTTP 206 Partial Content https://index.rubygems.org/info/libxml-ruby
HTTP 206 Partial Content https://index.rubygems.org/info/maven-tools
Looking up gems ["powerbar", "coffee-script-source", "pattern-match", "virtus", "needle", "jruby-pageant", "bcrypt_pbkdf", "rbnacl", "rbnacl-libsodium"]
HTTP GET https://index.rubygems.org/info/virtus
HTTP 206 Partial Content https://index.rubygems.org/info/virtus
Looking up gems ["ansi", "descendants_tracker", "axiom-types", "coercible", "equalizer"]
Looking up gems ["adamantium", "ice_nine"]
Looking up gems ["memoizable"]
Fetching rake 13.0.6
Installing rake 13.0.6
0:  rake (13.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rake-13.0.6.gemspec
Fetching concurrent-ruby 1.1.9
Fetching minitest 5.15.0
Using builder 3.2.4
Fetching zeitwerk 2.5.4
2:  builder (3.2.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/builder-3.2.4.gemspec
Using erubi 1.10.0
2:  erubi (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/erubi-1.10.0.gemspec
Fetching racc 1.6.0
Installing zeitwerk 2.5.4
Installing minitest 5.15.0
Installing racc 1.6.0 with native extensions
3:  zeitwerk (2.5.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/zeitwerk-2.5.4.gemspec
Using crass 1.0.6
3:  crass (1.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/crass-1.0.6.gemspec
Using rack 2.2.3
3:  rack (2.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-2.2.3.gemspec
Fetching mini_mime 1.1.2
1:  minitest (5.15.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/minitest-5.15.0.gemspec
Installing concurrent-ruby 1.1.9
Using public_suffix 4.0.6
1:  public_suffix (4.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/public_suffix-4.0.6.gemspec
Fetching aws-eventstream 1.2.0
Installing mini_mime 1.1.2
Installing aws-eventstream 1.2.0
3:  mini_mime (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_mime-1.1.2.gemspec
Fetching aws-partitions 1.516.0
1:  aws-eventstream (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-eventstream-1.2.0.gemspec
Fetching jmespath 1.5.0
Installing aws-partitions 1.516.0
Installing jmespath 1.5.0
Building native extensions. This could take a while...
1:  jmespath (1.5.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jmespath-1.5.0.gemspec
Using ember-source 2.18.2
1:  ember-source (2.18.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-source-2.18.2.gemspec
Using execjs 2.8.1
1:  execjs (2.8.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/execjs-2.8.1.gemspec
Fetching msgpack 1.4.4
3:  aws-partitions (1.516.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-partitions-1.516.0.gemspec
Using bundler 2.3.4
3:  bundler (2.3.4) from /usr/local/lib/ruby/gems/2.7.0/gems/bundler-2.3.4/lib/bundler/source
Using byebug 11.1.3
3:  byebug (11.1.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/byebug-11.1.3.gemspec
Using cbor 0.5.9.6
3:  cbor (0.5.9.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cbor-0.5.9.6.gemspec
Using chunky_png 1.4.0
3:  chunky_png (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/chunky_png-1.4.0.gemspec
Using coderay 1.1.3
3:  coderay (1.1.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/coderay-1.1.3.gemspec
Using colored2 3.1.2
3:  colored2 (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/colored2-3.1.2.gemspec
Using connection_pool 2.2.5
3:  connection_pool (2.2.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/connection_pool-2.2.5.gemspec
Fetching ipaddr 1.2.4
Installing msgpack 1.4.4 with native extensions
Installing ipaddr 1.2.4
3:  ipaddr (1.2.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ipaddr-1.2.4.gemspec
Fetching cppjieba_rb 0.4.2
0:  concurrent-ruby (1.1.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/concurrent-ruby-1.1.9.gemspec
Using diffy 3.4.0
0:  diffy (3.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/diffy-3.4.0.gemspec
Using method_source 1.0.0
0:  method_source (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/method_source-1.0.0.gemspec
Fetching thor 1.2.1
Installing thor 1.2.1
Building native extensions. This could take a while...
0:  thor (1.2.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/thor-1.2.1.gemspec
Using discourse-ember-source 3.12.2.3
0:  discourse-ember-source (3.12.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-ember-source-3.12.2.3.gemspec
Fetching discourse-fonts 0.0.9
Installing cppjieba_rb 0.4.2 with native extensions
Installing discourse-fonts 0.0.9
2:  racc (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/racc-1.6.0.gemspec
Fetching regexp_parser 2.2.0
Installing regexp_parser 2.2.0
2:  regexp_parser (2.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/regexp_parser-2.2.0.gemspec
Using email_reply_trimmer 0.1.13
2:  email_reply_trimmer (0.1.13) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/email_reply_trimmer-0.1.13.gemspec
Fetching excon 0.91.0
Installing excon 0.91.0
2:  excon (0.91.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/excon-0.91.0.gemspec
Using exifr 1.3.9
2:  exifr (1.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/exifr-1.3.9.gemspec
Using faraday-em_http 1.0.0
2:  faraday-em_http (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-em_http-1.0.0.gemspec
Using faraday-em_synchrony 1.0.0
2:  faraday-em_synchrony (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-em_synchrony-1.0.0.gemspec
Using faraday-excon 1.1.0
2:  faraday-excon (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-excon-1.1.0.gemspec
Fetching faraday-httpclient 1.0.1
Installing faraday-httpclient 1.0.1
2:  faraday-httpclient (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-httpclient-1.0.1.gemspec
Using multipart-post 2.1.1
2:  multipart-post (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/multipart-post-2.1.1.gemspec
Using faraday-net_http 1.0.1
2:  faraday-net_http (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-net_http-1.0.1.gemspec
Fetching faraday-net_http_persistent 1.2.0
Installing faraday-net_http_persistent 1.2.0
2:  faraday-net_http_persistent (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-net_http_persistent-1.2.0.gemspec
Fetching faraday-patron 1.0.0
Installing faraday-patron 1.0.0
2:  faraday-patron (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-patron-1.0.0.gemspec
Fetching faraday-rack 1.0.0
Installing faraday-rack 1.0.0
2:  faraday-rack (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-rack-1.0.0.gemspec
Fetching faraday-retry 1.0.3
Installing faraday-retry 1.0.3
2:  faraday-retry (1.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-retry-1.0.3.gemspec
Fetching ruby2_keywords 0.0.5
Building native extensions. This could take a while...
Installing ruby2_keywords 0.0.5
2:  ruby2_keywords (0.0.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ruby2_keywords-0.0.5.gemspec
Fetching fast_blank 1.0.1
Installing fast_blank 1.0.1 with native extensions
Building native extensions. This could take a while...
0:  discourse-fonts (0.0.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-fonts-0.0.9.gemspec
Using fast_xs 0.8.0
0:  fast_xs (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fast_xs-0.8.0.gemspec
Fetching fastimage 2.2.6
Installing fastimage 2.2.6
0:  fastimage (2.2.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fastimage-2.2.6.gemspec
Fetching ffi 1.15.5
Installing ffi 1.15.5 with native extensions
2:  fast_blank (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fast_blank-1.0.1.gemspec
Using fspath 3.1.2
2:  fspath (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fspath-3.1.2.gemspec
Using gc_tracer 1.5.1
2:  gc_tracer (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/gc_tracer-1.5.1.gemspec
Using guess_html_encoding 0.0.11
2:  guess_html_encoding (0.0.11) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/guess_html_encoding-0.0.11.gemspec
Using hana 1.3.7
2:  hana (1.3.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/hana-1.3.7.gemspec
Fetching hashie 5.0.0
Installing hashie 5.0.0
2:  hashie (5.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/hashie-5.0.0.gemspec
Using highline 2.0.3
2:  highline (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/highline-2.0.3.gemspec
Using hkdf 0.3.0
2:  hkdf (0.3.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/hkdf-0.3.0.gemspec
Using htmlentities 4.3.4
2:  htmlentities (4.3.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/htmlentities-4.3.4.gemspec
Using http_accept_language 2.1.1
2:  http_accept_language (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/http_accept_language-2.1.1.gemspec
Fetching image_size 3.0.1
Installing image_size 3.0.1
2:  image_size (3.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/image_size-3.0.1.gemspec
Fetching in_threads 1.6.0
Installing in_threads 1.6.0
2:  in_threads (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/in_threads-1.6.0.gemspec
Using progress 3.6.0
2:  progress (3.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/progress-3.6.0.gemspec
Fetching json 2.6.1
Installing json 2.6.1 with native extensions
Building native extensions. This could take a while...
Building native extensions. This could take a while...
1:  msgpack (1.4.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/msgpack-1.4.4.gemspec
Using uri_template 0.7.0
1:  uri_template (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/uri_template-0.7.0.gemspec
Fetching jwt 2.3.0
Installing jwt 2.3.0
1:  jwt (2.3.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jwt-2.3.0.gemspec
Using kgio 2.11.4
1:  kgio (2.11.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/kgio-2.11.4.gemspec
Fetching libv8-node 16.10.0.0 (x86_64-linux)
Installing libv8-node 16.10.0.0 (x86_64-linux)
2:  json (2.6.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/json-2.6.1.gemspec
Using logstash-event 1.2.02
2:  logstash-event (1.2.02) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logstash-event-1.2.02.gemspec
Fetching logster 2.10.1
Installing logster 2.10.1
2:  logster (2.10.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logster-2.10.1.gemspec
Using lru_redux 1.1.0
2:  lru_redux (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lru_redux-1.1.0.gemspec
Using lz4-ruby 0.3.3
2:  lz4-ruby (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lz4-ruby-0.3.3.gemspec
Using maxminddb 0.1.22
2:  maxminddb (0.1.22) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/maxminddb-0.1.22.gemspec
Using memory_profiler 1.0.0
2:  memory_profiler (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/memory_profiler-1.0.0.gemspec
Fetching redis 4.5.1
Installing redis 4.5.1
2:  redis (4.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/redis-4.5.1.gemspec
Fetching mini_sql 1.3.0
Installing mini_sql 1.3.0
2:  mini_sql (1.3.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_sql-1.3.0.gemspec
Using multi_json 1.15.0
2:  multi_json (1.15.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/multi_json-1.15.0.gemspec
Using multi_xml 0.6.0
2:  multi_xml (0.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/multi_xml-0.6.0.gemspec
Using mustache 1.1.1
2:  mustache (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mustache-1.1.1.gemspec
Fetching nio4r 2.5.8
Installing nio4r 2.5.8 with native extensions
Building native extensions. This could take a while...
1:  libv8-node (16.10.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/libv8-node-16.10.0.0-x86_64-linux.gemspec
Fetching oauth 0.5.8
Installing oauth 0.5.8
1:  oauth (0.5.8) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oauth-0.5.8.gemspec
Fetching oj 3.13.11
Installing oj 3.13.11 with native extensions
Building native extensions. This could take a while...
3:  cppjieba_rb (0.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cppjieba_rb-0.4.2.gemspec
Using optimist 3.0.1
3:  optimist (3.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/optimist-3.0.1.gemspec
Fetching pg 1.3.1
Installing pg 1.3.1 with native extensions
Building native extensions. This could take a while...
2:  nio4r (2.5.8) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/nio4r-2.5.8.gemspec
Using r2 0.2.7
2:  r2 (0.2.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/r2-0.2.7.gemspec
Fetching raindrops 0.20.0
Installing raindrops 0.20.0 with native extensions
Building native extensions. This could take a while...
3:  pg (1.3.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pg-1.3.1.gemspec
Using rchardet 1.8.0
3:  rchardet (1.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rchardet-1.8.0.gemspec
Fetching rexml 3.2.5
Installing rexml 3.2.5
3:  rexml (3.2.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rexml-3.2.5.gemspec
Using rinku 2.0.6
3:  rinku (2.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rinku-2.0.6.gemspec
Using rotp 6.2.0
3:  rotp (6.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rotp-6.2.0.gemspec
Fetching rqrcode_core 1.2.0
Installing rqrcode_core 1.2.0
3:  rqrcode_core (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rqrcode_core-1.2.0.gemspec
Using rtlit 0.0.5
3:  rtlit (0.0.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rtlit-0.0.5.gemspec
Fetching rubyzip 2.3.2
Installing rubyzip 2.3.2
RubyZip 3.0 is coming!
**********************

The public API of some Rubyzip classes has been modernized to use named
parameters for optional arguments. Please check your usage of the
following classes:
  * `Zip::File`
  * `Zip::Entry`
  * `Zip::InputStream`
  * `Zip::OutputStream`

Please ensure that your Gemfiles and .gemspecs are suitably restrictive
to avoid an unexpected breakage when 3.0 is released (e.g. ~> 2.3.0).
See https://github.com/rubyzip/rubyzip for details. The Changelog also
lists other enhancements and bugfixes that have been implemented since
version 2.3.0.
3:  rubyzip (2.3.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rubyzip-2.3.2.gemspec
Using tilt 2.0.10
3:  tilt (2.0.10) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/tilt-2.0.10.gemspec
Using sshkey 2.0.0
3:  sshkey (2.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sshkey-2.0.0.gemspec
Using stackprof 0.2.17
3:  stackprof (0.2.17) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/stackprof-0.2.17.gemspec
Fetching unf_ext 0.0.8
Installing unf_ext 0.0.8 with native extensions
2:  raindrops (0.20.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/raindrops-0.20.0.gemspec
Using xorcist 1.1.2
2:  xorcist (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/xorcist-1.1.2.gemspec
Using rack-test 1.1.0
2:  rack-test (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-test-1.1.0.gemspec
Fetching request_store 1.5.1
Installing request_store 1.5.1
2:  request_store (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/request_store-1.5.1.gemspec
Fetching message_bus 4.0.0
Building native extensions. This could take a while...
Installing message_bus 4.0.0
2:  message_bus (4.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/message_bus-4.0.0.gemspec
Fetching rack-mini-profiler 2.3.3
Installing rack-mini-profiler 2.3.3
2:  rack-mini-profiler (2.3.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-mini-profiler-2.3.3.gemspec
Using rack-protection 2.1.0
2:  rack-protection (2.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-protection-2.1.0.gemspec
Fetching addressable 2.8.0
Installing addressable 2.8.0
2:  addressable (2.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/addressable-2.8.0.gemspec
Using mail 2.8.0.edge from https://github.com/discourse/mail.git (at master@5b700fc)
2:  mail (2.8.0.edge) from /var/www/discourse/vendor/bundle/ruby/2.7.0/bundler/gems/mail-5b700fc95ee6/mail.gemspec
Fetching aws-sigv4 1.4.0
Installing aws-sigv4 1.4.0
2:  aws-sigv4 (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sigv4-1.4.0.gemspec
Using barber 0.12.2
2:  barber (0.12.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/barber-0.12.2.gemspec
Using ember-data-source 3.0.2
2:  ember-data-source (3.0.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-data-source-3.0.2.gemspec
Using uglifier 4.2.0
2:  uglifier (4.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/uglifier-4.2.0.gemspec
Fetching openssl 2.2.1
Installing openssl 2.2.1 with native extensions
Building native extensions. This could take a while...
3:  unf_ext (0.0.8) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unf_ext-0.0.8.gemspec
Fetching i18n 1.9.1
Installing i18n 1.9.1
3:  i18n (1.9.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/i18n-1.9.1.gemspec
Using tzinfo 2.0.4
3:  tzinfo (2.0.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/tzinfo-2.0.4.gemspec
Using sprockets 3.7.2
3:  sprockets (3.7.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sprockets-3.7.2.gemspec
Using pry 0.13.1
3:  pry (0.13.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-0.13.1.gemspec
Fetching nokogiri 1.13.1 (x86_64-linux)
Installing nokogiri 1.13.1 (x86_64-linux)
3:  nokogiri (1.13.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/nokogiri-1.13.1-x86_64-linux.gemspec
Fetching ecma-re-validator 0.4.0
Installing ecma-re-validator 0.4.0
3:  ecma-re-validator (0.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ecma-re-validator-0.4.0.gemspec
Fetching faraday-multipart 1.0.3
Installing faraday-multipart 1.0.3
3:  faraday-multipart (1.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-multipart-1.0.3.gemspec
Using omniauth 1.9.1
3:  omniauth (1.9.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-1.9.1.gemspec
Fetching image_optim 0.31.1
Installing image_optim 0.31.1
Rails image assets optimization is extracted into image_optim_rails gem
You can safely remove `config.assets.image_optim = false` if you are not going to use that gem
3:  image_optim (0.31.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/image_optim-0.31.1.gemspec
Fetching bootsnap 1.10.3
1:  oj (3.13.11) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oj-3.13.11.gemspec
Using webpush 1.1.0
1:  webpush (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/webpush-1.1.0.gemspec
Using logstash-logger 0.26.1
1:  logstash-logger (0.26.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logstash-logger-0.26.1.gemspec
Fetching sidekiq 6.4.1
Installing bootsnap 1.10.3 with native extensions
Installing sidekiq 6.4.1
Building native extensions. This could take a while...
1:  sidekiq (6.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sidekiq-6.4.1.gemspec
Using redis-namespace 1.8.1
1:  redis-namespace (1.8.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/redis-namespace-1.8.1.gemspec
Fetching mini_racer 0.6.2
Installing mini_racer 0.6.2 with native extensions
Building native extensions. This could take a while...
3:  bootsnap (1.10.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/bootsnap-1.10.3.gemspec
Fetching puma 5.6.1
Installing puma 5.6.1 with native extensions
Building native extensions. This could take a while...
0:  ffi (1.15.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ffi-1.15.5.gemspec
Fetching rss 0.2.9
Installing rss 0.2.9
0:  rss (0.2.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rss-0.2.9.gemspec
Fetching rqrcode 2.1.0
Installing rqrcode 2.1.0
0:  rqrcode (2.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rqrcode-2.1.0.gemspec
Fetching unicorn 6.1.0
Installing unicorn 6.1.0 with native extensions
Building native extensions. This could take a while...
0:  unicorn (6.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unicorn-6.1.0.gemspec
Fetching css_parser 1.11.0
Installing css_parser 1.11.0
0:  css_parser (1.11.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/css_parser-1.11.0.gemspec
Fetching aws-sdk-core 3.121.2
Installing aws-sdk-core 3.121.2
3:  puma (5.6.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/puma-5.6.1.gemspec
Using unf 0.1.4
3:  unf (0.1.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unf-0.1.4.gemspec
Fetching activesupport 6.1.4.1
Installing activesupport 6.1.4.1
0:  aws-sdk-core (3.121.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-core-3.121.2.gemspec
Using ember-handlebars-template 0.8.0
0:  ember-handlebars-template (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-handlebars-template-0.8.0.gemspec
Using pry-byebug 3.9.0
0:  pry-byebug (3.9.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-byebug-3.9.0.gemspec
Using pry-rails 0.3.9
0:  pry-rails (0.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-rails-0.3.9.gemspec
Fetching loofah 2.13.0
Installing loofah 2.13.0
0:  loofah (2.13.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/loofah-2.13.0.gemspec
Using ruby-readability 0.7.0
0:  ruby-readability (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ruby-readability-0.7.0.gemspec
Fetching sanitize 6.0.0
Installing sanitize 6.0.0
3:  activesupport (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activesupport-6.1.4.1.gemspec
Using json_schemer 0.2.18
3:  json_schemer (0.2.18) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/json_schemer-0.2.18.gemspec
Fetching faraday 1.9.3
0:  sanitize (6.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sanitize-6.0.0.gemspec
Using omniauth-oauth 1.2.0
0:  omniauth-oauth (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-oauth-1.2.0.gemspec
Using mini_scheduler 0.13.0
0:  mini_scheduler (0.13.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_scheduler-0.13.0.gemspec
Fetching mini_suffix 0.3.3
Installing faraday 1.9.3
Installing mini_suffix 0.3.3
3:  faraday (1.9.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-1.9.3.gemspec
0:  mini_suffix (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_suffix-0.3.3.gemspec
Using rbtrace 0.4.14
3:  rbtrace (0.4.14) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rbtrace-0.4.14.gemspec
Using sassc 2.0.1
3:  sassc (2.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sassc-2.0.1.gemspec
Fetching aws-sdk-kms 1.44.0
Fetching aws-sdk-sns 1.46.0
Installing aws-sdk-sns 1.46.0
Installing aws-sdk-kms 1.44.0
0:  aws-sdk-sns (1.46.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-sns-1.46.0.gemspec
Fetching rails-html-sanitizer 1.4.2
3:  aws-sdk-kms (1.44.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-kms-1.44.0.gemspec
Using rails-dom-testing 2.0.3
3:  rails-dom-testing (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails-dom-testing-2.0.3.gemspec
Fetching globalid 1.0.0
Installing rails-html-sanitizer 1.4.2
Installing globalid 1.0.0
3:  globalid (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/globalid-1.0.0.gemspec
Fetching activemodel 6.1.4.1
Installing activemodel 6.1.4.1
0:  rails-html-sanitizer (1.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails-html-sanitizer-1.4.2.gemspec
Using omniauth-twitter 1.4.0
0:  omniauth-twitter (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-twitter-1.4.0.gemspec
Using oauth2 1.4.7
0:  oauth2 (1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oauth2-1.4.7.gemspec
Fetching aws-sdk-s3 1.96.1
Installing aws-sdk-s3 1.96.1
3:  activemodel (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activemodel-6.1.4.1.gemspec
Fetching activejob 6.1.4.1
Installing activejob 6.1.4.1
3:  activejob (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activejob-6.1.4.1.gemspec
Fetching actionview 6.1.4.1
0:  aws-sdk-s3 (1.96.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-s3-1.96.1.gemspec
Fetching omniauth-oauth2 1.7.2
Installing actionview 6.1.4.1
Installing omniauth-oauth2 1.7.2
0:  omniauth-oauth2 (1.7.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-oauth2-1.7.2.gemspec
Using active_model_serializers 0.8.4
0:  active_model_serializers (0.8.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/active_model_serializers-0.8.4.gemspec
Fetching activerecord 6.1.4.1
Installing activerecord 6.1.4.1
3:  actionview (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionview-6.1.4.1.gemspec
Fetching omniauth-facebook 9.0.0
Installing omniauth-facebook 9.0.0
1:  mini_racer (0.6.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_racer-0.6.2.gemspec
Using omniauth-github 1.4.0
1:  omniauth-github (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-github-1.4.0.gemspec
Using omniauth-google-oauth2 0.8.2
1:  omniauth-google-oauth2 (0.8.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-google-oauth2-0.8.2.gemspec
Fetching actionpack 6.1.4.1
3:  omniauth-facebook (9.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-facebook-9.0.0.gemspec
Installing actionpack 6.1.4.1
Using actionview_precompiler 0.2.3
3:  actionview_precompiler (0.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionview_precompiler-0.2.3.gemspec
1:  actionpack (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionpack-6.1.4.1.gemspec
Fetching actionmailer 6.1.4.1
Fetching railties 6.1.4.1
Installing actionmailer 6.1.4.1
Installing railties 6.1.4.1
3:  actionmailer (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionmailer-6.1.4.1.gemspec
Fetching sprockets-rails 3.4.2
Installing sprockets-rails 3.4.2
3:  sprockets-rails (3.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sprockets-rails-3.4.2.gemspec
0:  activerecord (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activerecord-6.1.4.1.gemspec
Using seed-fu 2.3.9
3:  seed-fu (2.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/seed-fu-2.3.9.gemspec
1:  railties (6.1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/railties-6.1.4.1.gemspec
Using jquery-rails 4.4.0
0:  jquery-rails (4.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jquery-rails-4.4.0.gemspec
Using lograge 0.11.2
Using rails_failover 0.7.3
3:  lograge (0.11.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lograge-0.11.2.gemspec
Fetching rails_multisite 4.0.0
Using sassc-rails 2.1.2
3:  sassc-rails (2.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sassc-rails-2.1.2.gemspec
Using discourse-ember-rails 0.18.6
1:  rails_failover (0.7.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails_failover-0.7.3.gemspec
3:  discourse-ember-rails (0.18.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-ember-rails-0.18.6.gemspec
Installing rails_multisite 4.0.0
0:  rails_multisite (4.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails_multisite-4.0.0.gemspec
2:  openssl (2.2.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/openssl-2.2.1.gemspec
Using openssl-signature_algorithm 1.1.1
1:  openssl-signature_algorithm (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/openssl-signature_algorithm-1.1.1.gemspec
Using cose 1.2.0
3:  cose (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cose-1.2.0.gemspec
Bundle complete! 127 Gemfile dependencies, 176 gems now installed.
Gems in the groups 'test' and 'development' were not installed.
Bundled gems are installed into `./vendor/bundle`
Post-install message from image_optim:
Rails image assets optimization is extracted into image_optim_rails gem
You can safely remove `config.assets.image_optim = false` if you are not going to use that gem
Post-install message from rubyzip:
RubyZip 3.0 is coming!
**********************

The public API of some Rubyzip classes has been modernized to use named
parameters for optional arguments. Please check your usage of the
following classes:
  * `Zip::File`
  * `Zip::Entry`
  * `Zip::InputStream`
  * `Zip::OutputStream`

Please ensure that your Gemfiles and .gemspecs are suitably restrictive
to avoid an unexpected breakage when 3.0 is released (e.g. ~> 2.3.0).
See https://github.com/rubyzip/rubyzip for details. The Changelog also
lists other enhancements and bugfixes that have been implemented since
version 2.3.0.

I, [2022-03-09T16:31:15.299929 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake plugin:pull_compatible_all'
WARNING: Plugins were activated before running `rake plugin:pull_compatible_all`
  You should prefix this command with LOAD_PLUGINS=0
I, [2022-03-09T16:31:31.022013 #1]  INFO -- : gem install liquid -v 5.0.1 -i /var/www/discourse/plugins/discourse-custom-wizard/gems/2.7.2 --no-document --ignore-dependencies --no-user-install
Successfully installed liquid-5.0.1
1 gem installed
discourse-daily-summary-ii is already at latest compatible version
discourse-checklist is already at latest compatible version
docker_manager is already at latest compatible version
discourse-custom-wizard is already at latest compatible version
discourse-data-explorer is already at latest compatible version
discourse-math is already at latest compatible version

I, [2022-03-09T16:31:31.022535 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
2022-03-09 16:31:44.777 UTC [5407] discourse@discourse LOG:  duration: 136.977 ms  execute <unnamed>: SELECT "screened_ip_addresses".* FROM "screened_ip_addresses" WHERE "screened_ip_addresses"."id" = 1 LIMIT 1
2022-03-09 16:31:45.537 UTC [5407] discourse@discourse LOG:  duration: 181.196 ms  bind <unnamed>: SELECT "users".* FROM "users" WHERE (id <> -1 and username_lower = 'system') LIMIT 1
I, [2022-03-09T16:31:47.941704 #1]  INFO -- : 
I, [2022-03-09T16:31:47.942219 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake themes:update assets:precompile'
Purging temp files
Bundling assets
I, [2022-03-09T16:31:57.277476 #5413]  INFO -- : Writing /var/www/discourse/public/assets/browser-detect-16ca87077aead9f656700e192992122d3a7eee8c1bb76da992127945464d4777.js
I, [2022-03-09T16:31:57.284695 #5413]  INFO -- : Writing /var/www/discourse/public/assets/browser-update-eec13eb6f8386f18f10b5dd6ebb7a3598d28421bb796e539b91a7e4a4c5d4c08.js
I, [2022-03-09T16:31:57.292763 #5413]  INFO -- : Writing /var/www/discourse/public/assets/break_string-cc617154cd957804f2f6a1f3bc68258c9cdca3d4b9a322bf777d145fed04790e.js
173:M 09 Mar 2022 16:32:11.055 * 100 changes in 300 seconds. Saving...
173:M 09 Mar 2022 16:32:11.057 * Background saving started by pid 5442
I, [2022-03-09T16:32:11.423766 #5413]  INFO -- : Writing /var/www/discourse/public/assets/wizard-application-5cb7e0d3a1d927259572498aa28fdfb0aa203cc9226d39200f23666be67bc803.js
5442:C 09 Mar 2022 16:32:11.555 * DB saved on disk
5442:C 09 Mar 2022 16:32:11.558 * RDB: 0 MB of memory used by copy-on-write
173:M 09 Mar 2022 16:32:11.660 * Background saving terminated with success
W, [2022-03-09T16:32:12.466908 #5413]  WARN -- : Removed sourceMappingURL comment for missing asset '/popper.js.map' from /var/www/discourse/vendor/assets/javascripts/popper.js
I, [2022-03-09T16:32:12.974253 #5413]  INFO -- : Writing /var/www/discourse/public/assets/wizard-vendor-07a579e39e60ce5cf693d54c59094a17dfb020224a27acfec08b93f54f76e5b2.js
I, [2022-03-09T16:32:14.654144 #5413]  INFO -- : Writing /var/www/discourse/public/assets/markdown-it-bundle-a8e5cde9b9b559c3044849455ecdbc4c9ca8119d7bf54030cf76c4ffcecd6c19.js
I, [2022-03-09T16:32:14.669157 #5413]  INFO -- : Writing /var/www/discourse/public/assets/service-worker-5f60e36ae0ae4ffddbf572d5ac1f086b23c02bff84171b142074a79d3718826d.js

[...]

I, [2022-03-09T16:33:24.075319 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/group_mentioned-012ba348812e600c5532b8ccc08e8767b16fd126f3c7bcedcbdedaba640721d6.png
I, [2022-03-09T16:33:24.079475 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/linked-02191f88212f5cba22760235346da4e238eb9a4c9056cac92965a940eeaa02d0.png
I, [2022-03-09T16:33:24.084371 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/mentioned-012ba348812e600c5532b8ccc08e8767b16fd126f3c7bcedcbdedaba640721d6.png
I, [2022-03-09T16:33:24.089258 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/posted-918b5c4333d62ea140dfc63a49d1ee60e71f00418b8f2f7fa91bb65a2c995830.png
I, [2022-03-09T16:33:24.093687 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/private_message-77576c8c5017882f813792be99ee57b2ddaa417c2baf74255a9899867ad66b97.png
I, [2022-03-09T16:33:24.097714 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/quoted-a1bf4d7b4f4ad6b34b43d60143a7e07ddc030855eae2cf9308011ba91a3ce168.png
I, [2022-03-09T16:33:24.102934 #5413]  INFO -- : Writing /var/www/discourse/public/assets/push-notifications/replied-918b5c4333d62ea140dfc63a49d1ee60e71f00418b8f2f7fa91bb65a2c995830.png
Error running ember build
I, [2022-03-09T16:33:24.704328 #1]  INFO -- : 
I, [2022-03-09T16:33:24.706165 #1]  INFO -- : Terminating async processes
I, [2022-03-09T16:33:24.706446 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 56
I, [2022-03-09T16:33:24.706625 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 173
173:signal-handler (1646843604) Received SIGTERM scheduling shutdown...
2022-03-09 16:33:24.707 UTC [56] LOG:  received fast shutdown request
2022-03-09 16:33:24.712 UTC [56] LOG:  aborting any active transactions
2022-03-09 16:33:24.759 UTC [56] LOG:  background worker "logical replication launcher" (PID 65) exited with exit code 1
2022-03-09 16:33:24.765 UTC [60] LOG:  shutting down
173:M 09 Mar 2022 16:33:24.800 # User requested shutdown...
173:M 09 Mar 2022 16:33:24.800 * Saving the final RDB snapshot before exiting.
2022-03-09 16:33:24.887 UTC [56] LOG:  database system is shut down
173:M 09 Mar 2022 16:33:25.172 * DB saved on disk
173:M 09 Mar 2022 16:33:25.172 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake themes:update assets:precompile' failed with return #<Process::Status: pid 5411 exit 1>
Location of failure: /pups/lib/pups/exec_command.rb:112:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"assets_precompile", "cmd"=>["su discourse -c 'bundle exec rake themes:update assets:precompile'"]}
c98682e6653358f7f5957352ec3a76bc067ea0b242f93f14ecd39788d167c784
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.

I am completely lost as to what could be the cause of this. Any ideas?

1 Like

Can you try removing non-official plugins and rebuilding again?

2 Likes

the two non-official plugins we use are:

  • discourse-daily-summary
  • discourse-custom-wizard

disabling only discourse-daily-summary did not help. now trying to disable both.

still the same problem.

This is our config:

## this is the all-in-one, standalone Discourse Docker container template
##
## After making changes to this file, you MUST rebuild
## /var/discourse/launcher rebuild app
##
## BE *VERY* CAREFUL WHEN EDITING!
## YAML FILES ARE SUPER SUPER SENSITIVE TO MISTAKES IN WHITESPACE OR ALIGNMENT!
## visit http://www.yamllint.com/ to validate this file as needed

templates:
  - "templates/postgres.template.yml"
  - "templates/redis.template.yml"
  - "templates/web.template.yml"
  - "templates/web.ratelimited.template.yml"

#expose:
#  - 52352:80

params:
  db_default_text_search_config: "pg_catalog.german"

  ## Set db_shared_buffers to a max of 25% of the total memory.
  ## will be set automatically by bootstrap based on detected RAM, or you can override
  db_shared_buffers: "2048MB"

  ## can improve sorting performance, but adds memory usage per-connection
  db_work_mem: "40MB"

  ## Which Git revision should this container use? (default: tests-passed)
  version: beta

env:
  LANG: en_US.UTF-8
  #LANG: de_DE.UTF-8  # macht Probleme...
  DISCOURSE_DEFAULT_LOCALE: de

  ## How many concurrent web requests are supported? Depends on memory and CPU cores.
  ## will be set automatically by bootstrap based on detected CPUs, or you can override
  #UNICORN_WORKERS: 3

  ## TODO: The domain name this Discourse instance will respond to
  DISCOURSE_HOSTNAME: 'redact.ed'

  ## Uncomment if you want the container to be started with the same
  ## hostname (-h option) as specified above (default "$hostname-$config")
  #DOCKER_USE_HOSTNAME: true

  ## TODO: List of comma delimited emails that will be made admin and developer
  ## on initial signup example 'user1@example.com,user2@example.com'
  DISCOURSE_DEVELOPER_EMAILS: 'list_admin@redact.ed'

  ## TODO: The SMTP mail server used to validate new accounts and send notifications
  DISCOURSE_SMTP_ADDRESS: mail.redact.ed
  DISCOURSE_SMTP_PORT: 587
  DISCOURSE_SMTP_USER_NAME: list@redact.ed
  DISCOURSE_SMTP_PASSWORD: rEdAcTeD
  DISCOURSE_SMTP_ENABLE_START_TLS: true

labels:
  some: labels
  for: our
  proxy: config

  ## The CDN address for this Discourse instance (configured to pull)
  ## see https://meta.discourse.org/t/14857 for details
  #DISCOURSE_CDN_URL: //discourse-cdn.example.com

## The Docker container is stateless; all data is stored in /shared
volumes:
  - volume:
      host: board_data
      guest: /shared
  - volume:
      host: board_logs
      guest: /var/log

# Siehe https://meta.discourse.org/t/how-to-use-docker-multiple-containers-without-exposing-ports/22283/10
docker_args: "--network web --expose=80"

## Plugins go here
## see https://meta.discourse.org/t/19157 for details
hooks:
  after_code:
    - exec:
        cd: $home/plugins
        cmd:
          - git clone https://github.com/discourse/docker_manager.git
          # - git clone https://our-customized-copy-of/discourse-daily-summary-ii.git
          - git clone https://github.com/discourse/discourse-math.git
          # - git clone https://github.com/angusmcleod/discourse-custom-wizard.git
          - git clone https://github.com/discourse/discourse-checklist.git
          - git clone https://github.com/discourse/discourse-data-explorer.git

## Any custom commands to run after building
run:
  - exec: echo "Beginning of custom commands"
  ## If you want to set the 'From' email address for your first registration, uncomment and change:
  ## After getting the first signup email, re-comment the line. It only needs to run once.
  - exec: rails r "SiteSetting.notification_email='list+noreply@redact.ed'"
  - exec: echo "End of custom commands"
1 Like

How much RAM and SWAP the host server have?

50 GB RAM (25 GB free); 2 GB swap

Can you try commenting the line below and rebuilding?

during the update, the server is not at full load

still failing, but log looks different now:

./launcher rebuild our_board
Stopping old container
+ /usr/bin/docker stop -t 60 our_board
our_board
cd /pups && git pull && git checkout v1.0.3 && /pups/bin/pups --stdin
From https://github.com/discourse/pups
   17f04ec..e0ff889  master     -> origin/master
 * [new branch]      main       -> origin/main
 * [new tag]         v1.1.1     -> v1.1.1
 * [new tag]         v1.1.0     -> v1.1.0
Updating 17f04ec..e0ff889
Fast-forward
 .github/workflows/ci.yml     |  29 ++++++
 .github/workflows/lint.yml   |  27 +++++
 .rubocop.yml                 |   3 +
 Gemfile                      |   2 +
 Guardfile                    |   4 +-
 README.md                    |  21 ++++
 Rakefile                     |  14 +--
 bin/pups                     |   8 +-
 lib/pups.rb                  |  32 ++++--
 lib/pups/cli.rb              |  92 ++++++++++-------
 lib/pups/command.rb          |  25 +++--
 lib/pups/config.rb           | 240 +++++++++++++++++++++++--------------------
 lib/pups/docker.rb           |  69 +++++++++++++
 lib/pups/exec_command.rb     | 182 ++++++++++++++++----------------
 lib/pups/file_command.rb     |  60 +++++------
 lib/pups/merge_command.rb    |  94 ++++++++---------
 lib/pups/replace_command.rb  |  70 +++++++------
 lib/pups/runit.rb            |  47 +++++----
 lib/pups/version.rb          |   4 +-
 pups.gemspec                 |  37 ++++---
 test/cli_test.rb             | 102 +++++++++++++++---
 test/config_test.rb          | 215 ++++++++++++++++++++++++++++----------
 test/docker_test.rb          | 157 ++++++++++++++++++++++++++++
 test/exec_command_test.rb    |  62 ++++++-----
 test/file_command_test.rb    |  17 ++-
 test/merge_command_test.rb   |  64 ++++++------
 test/replace_command_test.rb |  86 ++++++++--------
 test/test_helper.rb          |   2 +
 28 files changed, 1158 insertions(+), 607 deletions(-)
 create mode 100644 .github/workflows/ci.yml
 create mode 100644 .github/workflows/lint.yml
 create mode 100644 .rubocop.yml
 create mode 100644 lib/pups/docker.rb
 create mode 100644 test/docker_test.rb
Note: checking out 'v1.0.3'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again. Example:

  git checkout -b <new-branch-name>

HEAD is now at d1db030 cut a new version
I, [2022-03-09T18:50:33.369007 #1]  INFO -- : Loading --stdin
I, [2022-03-09T18:50:33.376066 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2022-03-09T18:50:33.428078 #1]  INFO -- : Generating locales (this might take a while)...
Generation complete.

I, [2022-03-09T18:50:33.428333 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2022-03-09T18:50:33.434395 #1]  INFO -- : 
I, [2022-03-09T18:50:33.434690 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2022-03-09T18:50:33.439605 #1]  INFO -- : 
I, [2022-03-09T18:50:33.439879 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2022-03-09T18:50:33.444410 #1]  INFO -- : 
I, [2022-03-09T18:50:33.444706 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2022-03-09T18:50:33.448951 #1]  INFO -- : 
I, [2022-03-09T18:50:33.449250 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2022-03-09T18:50:33.453973 #1]  INFO -- : 
I, [2022-03-09T18:50:33.454231 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2022/03/09 18:50:33 socat[32] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2022-03-09T18:50:33.461850 #1]  INFO -- : 
I, [2022-03-09T18:50:33.462108 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2022-03-09T18:50:33.467958 #1]  INFO -- : 
I, [2022-03-09T18:50:33.468191 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2022-03-09T18:50:33.472803 #1]  INFO -- : 
I, [2022-03-09T18:50:33.472984 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2022-03-09T18:50:33.476692 #1]  INFO -- : 
I, [2022-03-09T18:50:33.477010 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2022-03-09T18:50:33.481401 #1]  INFO -- : 
I, [2022-03-09T18:50:33.490083 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown: 
I, [2022-03-09T18:50:33.498376 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2022-03-09T18:50:33.506558 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2022-03-09T18:50:33.516898 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown: 
I, [2022-03-09T18:50:33.517392 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2022-03-09T18:50:35.272637 #1]  INFO -- : 
I, [2022-03-09T18:50:35.273071 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2022-03-09T18:50:35.278848 #1]  INFO -- : 
I, [2022-03-09T18:50:35.279103 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2022-03-09T18:50:35.316250 #1]  INFO -- : 
I, [2022-03-09T18:50:35.316583 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2022-03-09T18:50:35.321177 #1]  INFO -- : 
I, [2022-03-09T18:50:35.321432 #1]  INFO -- : > /root/upgrade_postgres
I, [2022-03-09T18:50:35.329959 #1]  INFO -- : 
I, [2022-03-09T18:50:35.330250 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2022-03-09T18:50:35.334349 #1]  INFO -- : 
I, [2022-03-09T18:50:35.334843 #1]  INFO -- : Replacing data_directory = '/var/lib/postgresql/13/main' with data_directory = '/shared/postgres_data' in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.336059 #1]  INFO -- : Replacing (?-mix:#?listen_addresses *=.*) with listen_addresses = '*' in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.336590 #1]  INFO -- : Replacing (?-mix:#?synchronous_commit *=.*) with synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.336944 #1]  INFO -- : Replacing (?-mix:#?shared_buffers *=.*) with shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.337266 #1]  INFO -- : Replacing (?-mix:#?work_mem *=.*) with work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.337664 #1]  INFO -- : Replacing (?-mix:#?default_text_search_config *=.*) with default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.338000 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2022-03-09T18:50:35.343009 #1]  INFO -- : 
I, [2022-03-09T18:50:35.343509 #1]  INFO -- : Replacing (?-mix:#?checkpoint_segments *=.*) with checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.343895 #1]  INFO -- : Replacing (?-mix:#?logging_collector *=.*) with logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.344244 #1]  INFO -- : Replacing (?-mix:#?log_min_duration_statement *=.*) with log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2022-03-09T18:50:35.344600 #1]  INFO -- : Replacing (?-mix:^#local +replication +postgres +peer$) with local replication postgres  peer in /etc/postgresql/13/main/pg_hba.conf
I, [2022-03-09T18:50:35.344911 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*127.*$) with host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2022-03-09T18:50:35.345157 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2022-03-09T18:50:35.348161 #1]  INFO -- : > sleep 5
2022-03-09 18:50:35.453 UTC [55] LOG:  starting PostgreSQL 13.3 (Debian 13.3-1.pgdg100+1) on x86_64-pc-linux-gnu, compiled by gcc (Debian 8.3.0-6) 8.3.0, 64-bit
2022-03-09 18:50:35.453 UTC [55] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2022-03-09 18:50:35.453 UTC [55] LOG:  listening on IPv6 address "::", port 5432
2022-03-09 18:50:35.456 UTC [55] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2022-03-09 18:50:35.468 UTC [58] LOG:  database system was shut down at 2022-03-09 18:49:39 UTC
2022-03-09 18:50:35.496 UTC [55] LOG:  database system is ready to accept connections
I, [2022-03-09T18:50:40.352376 #1]  INFO -- : 
I, [2022-03-09T18:50:40.353163 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2022-03-09 18:50:40.441 UTC [68] postgres@postgres ERROR:  database "discourse" already exists
2022-03-09 18:50:40.441 UTC [68] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: error: database creation failed: ERROR:  database "discourse" already exists
I, [2022-03-09T18:50:40.444398 #1]  INFO -- : 
I, [2022-03-09T18:50:40.444764 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2022-03-09 18:50:40.554 UTC [79] postgres@discourse ERROR:  role "discourse" already exists
2022-03-09 18:50:40.554 UTC [79] postgres@discourse STATEMENT:  create user discourse;
ERROR:  role "discourse" already exists
I, [2022-03-09T18:50:40.557336 #1]  INFO -- : 
I, [2022-03-09T18:50:40.557602 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2022-03-09T18:50:40.651459 #1]  INFO -- : GRANT

I, [2022-03-09T18:50:40.651788 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2022-03-09T18:50:40.755887 #1]  INFO -- : ALTER SCHEMA

I, [2022-03-09T18:50:40.756229 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2022-03-09T18:50:40.872728 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T18:50:40.873035 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2022-03-09T18:50:40.961767 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T18:50:40.962189 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2022-03-09T18:50:41.055919 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T18:50:41.056221 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2022-03-09T18:50:41.142538 #1]  INFO -- : CREATE EXTENSION

I, [2022-03-09T18:50:41.142997 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2022-03-09T18:50:41.147058 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2022-03-09T18:50:41.256338 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2022-03-09T18:50:41.262442 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2022-03-09T18:50:41.262592 #1]  INFO -- : > echo postgres installed!
I, [2022-03-09T18:50:41.267746 #1]  INFO -- : postgres installed!

I, [2022-03-09T18:50:41.277928 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown: 
I, [2022-03-09T18:50:41.287929 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2022-03-09T18:50:41.296753 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2022-03-09T18:50:41.297328 #1]  INFO -- : Replacing daemonize yes with  in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.298541 #1]  INFO -- : Replacing (?-mix:^pidfile.*$) with  in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.300014 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2022-03-09T18:50:41.306572 #1]  INFO -- : 
I, [2022-03-09T18:50:41.307339 #1]  INFO -- : Replacing (?-mix:^logfile.*$) with logfile "" in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.308556 #1]  INFO -- : Replacing (?-mix:^bind .*$) with  in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.309761 #1]  INFO -- : Replacing (?-mix:^dir .*$) with dir /shared/redis_data in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.310787 #1]  INFO -- : Replacing (?-mix:^protected-mode yes) with protected-mode no in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.311934 #1]  INFO -- : Replacing # io-threads 4 with io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2022-03-09T18:50:41.312676 #1]  INFO -- : > echo redis installed
I, [2022-03-09T18:50:41.317284 #1]  INFO -- : redis installed

I, [2022-03-09T18:50:41.317601 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2022-03-09T18:50:41.324448 #1]  INFO -- : logfile ""

I, [2022-03-09T18:50:41.324701 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2022-03-09T18:50:41.328955 #1]  INFO -- : > sleep 10
172:C 09 Mar 2022 18:50:41.337 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
172:C 09 Mar 2022 18:50:41.337 # Redis version=6.2.3, bits=64, commit=00000000, modified=0, pid=172, just started
172:C 09 Mar 2022 18:50:41.337 # Configuration loaded
172:M 09 Mar 2022 18:50:41.338 * monotonic clock: POSIX clock_gettime
172:M 09 Mar 2022 18:50:41.339 * Running mode=standalone, port=6379.
172:M 09 Mar 2022 18:50:41.339 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
172:M 09 Mar 2022 18:50:41.339 # Server initialized
172:M 09 Mar 2022 18:50:41.339 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
172:M 09 Mar 2022 18:50:41.340 * Loading RDB produced by version 6.2.3
172:M 09 Mar 2022 18:50:41.340 * RDB age 62 seconds
172:M 09 Mar 2022 18:50:41.340 * RDB memory usage when created 23.02 Mb
172:M 09 Mar 2022 18:50:41.521 * DB loaded from disk: 0.181 seconds
172:M 09 Mar 2022 18:50:41.521 * Ready to accept connections
I, [2022-03-09T18:50:51.332744 #1]  INFO -- : 
I, [2022-03-09T18:50:51.333178 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2022-03-09T18:50:51.340716 #1]  INFO -- : thpoff is installed!

I, [2022-03-09T18:50:51.341056 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2022-03-09T18:50:51.488191 #1]  INFO -- : 
I, [2022-03-09T18:50:51.488575 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2022-03-09T18:50:51.589860 #1]  INFO -- : 
I, [2022-03-09T18:50:51.590263 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2022-03-09T18:50:51.704141 #1]  INFO -- : 
I, [2022-03-09T18:50:51.704556 #1]  INFO -- : > chown -R discourse /home/discourse
I, [2022-03-09T18:50:52.102177 #1]  INFO -- : 
I, [2022-03-09T18:50:52.102746 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2022-03-09T18:50:52.110456 #1]  INFO -- : 
I, [2022-03-09T18:50:52.117787 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown: 
I, [2022-03-09T18:50:52.128430 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2022-03-09T18:50:52.139187 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2022-03-09T18:50:52.151513 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown: 
I, [2022-03-09T18:50:52.160122 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2022-03-09T18:50:52.171160 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2022-03-09T18:50:52.171565 #1]  INFO -- : Replacing # postgres with sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2022-03-09T18:50:52.171991 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2022-03-09T18:50:52.177461 #1]  INFO -- : > cd /var/www/discourse && git reset --hard
200:C 09 Mar 2022 18:50:52.183 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
200:C 09 Mar 2022 18:50:52.183 # Redis version=6.2.3, bits=64, commit=00000000, modified=0, pid=200, just started
200:C 09 Mar 2022 18:50:52.183 # Configuration loaded
200:M 09 Mar 2022 18:50:52.184 * monotonic clock: POSIX clock_gettime
200:M 09 Mar 2022 18:50:52.184 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
200:M 09 Mar 2022 18:50:52.184 # Failed listening on port 6379 (TCP), aborting.
Checking out files: 100% (28860/28860), done.
I, [2022-03-09T18:50:57.015663 #1]  INFO -- : HEAD is now at 74f71503 FEATURE: Automatically timed delete stub topics after entire topic is merged into another topic (#13187)

I, [2022-03-09T18:50:57.015870 #1]  INFO -- : > cd /var/www/discourse && git clean -f
I, [2022-03-09T18:50:57.245978 #1]  INFO -- : 
I, [2022-03-09T18:50:57.246214 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches --add origin main
I, [2022-03-09T18:50:57.252901 #1]  INFO -- : 
I, [2022-03-09T18:50:57.253084 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches origin tests-passed
I, [2022-03-09T18:50:57.259784 #1]  INFO -- : 
I, [2022-03-09T18:50:57.260011 #1]  INFO -- : > cd /var/www/discourse && git fetch --depth 1 origin tests-passed
From https://github.com/discourse/discourse
 * branch              tests-passed -> FETCH_HEAD
 * [new branch]        tests-passed -> origin/tests-passed
I, [2022-03-09T18:51:04.527722 #1]  INFO -- : 
I, [2022-03-09T18:51:04.527920 #1]  INFO -- : > cd /var/www/discourse && git checkout tests-passed
Switched to a new branch 'tests-passed'
I, [2022-03-09T18:51:09.443041 #1]  INFO -- : Branch 'tests-passed' set up to track remote branch 'tests-passed' from 'origin'.

I, [2022-03-09T18:51:09.443373 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp
I, [2022-03-09T18:51:09.450579 #1]  INFO -- : 
I, [2022-03-09T18:51:09.450803 #1]  INFO -- : > cd /var/www/discourse && chown discourse:www-data tmp
I, [2022-03-09T18:51:09.462928 #1]  INFO -- : 
I, [2022-03-09T18:51:09.463191 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp/pids
I, [2022-03-09T18:51:09.475213 #1]  INFO -- : 
I, [2022-03-09T18:51:09.476869 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp/sockets
I, [2022-03-09T18:51:09.496346 #1]  INFO -- : 
I, [2022-03-09T18:51:09.496655 #1]  INFO -- : > cd /var/www/discourse && touch tmp/.gitkeep
I, [2022-03-09T18:51:09.585998 #1]  INFO -- : 
I, [2022-03-09T18:51:09.586298 #1]  INFO -- : > cd /var/www/discourse && mkdir -p                    /shared/log/rails
I, [2022-03-09T18:51:09.593294 #1]  INFO -- : 
I, [2022-03-09T18:51:09.593474 #1]  INFO -- : > cd /var/www/discourse && bash -c "touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"
I, [2022-03-09T18:51:09.612177 #1]  INFO -- : 
I, [2022-03-09T18:51:09.612488 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log /var/www/discourse/log"
I, [2022-03-09T18:51:09.623257 #1]  INFO -- : 
I, [2022-03-09T18:51:09.623585 #1]  INFO -- : > cd /var/www/discourse && bash -c "mkdir -p           /shared/{uploads,backups}"
I, [2022-03-09T18:51:09.634272 #1]  INFO -- : 
I, [2022-03-09T18:51:09.634469 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/{uploads,backups} /var/www/discourse/public"
I, [2022-03-09T18:51:09.643306 #1]  INFO -- : 
I, [2022-03-09T18:51:09.643556 #1]  INFO -- : > cd /var/www/discourse && bash -c "mkdir -p           /shared/tmp/{backups,restores}"
I, [2022-03-09T18:51:09.768643 #1]  INFO -- : 
I, [2022-03-09T18:51:09.768895 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/tmp/{backups,restores} /var/www/discourse/tmp"
I, [2022-03-09T18:51:09.777527 #1]  INFO -- : 
I, [2022-03-09T18:51:09.777763 #1]  INFO -- : > cd /var/www/discourse && chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp
I, [2022-03-09T18:51:11.356130 #1]  INFO -- : 
I, [2022-03-09T18:51:11.356427 #1]  INFO -- : > cd /var/www/discourse && find public/plugins/ -maxdepth 1 -xtype l -delete
I, [2022-03-09T18:51:11.369460 #1]  INFO -- : 
I, [2022-03-09T18:51:11.369789 #1]  INFO -- : Replacing # redis with sv start redis || exit 1 in /etc/service/unicorn/run
I, [2022-03-09T18:51:11.370333 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/docker_manager.git
Cloning into 'docker_manager'...
I, [2022-03-09T18:51:12.662337 #1]  INFO -- : 
I, [2022-03-09T18:51:12.662607 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/discourse-math.git
Cloning into 'discourse-math'...
I, [2022-03-09T18:51:17.706134 #1]  INFO -- : 
I, [2022-03-09T18:51:17.706483 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/discourse-checklist.git
Cloning into 'discourse-checklist'...
I, [2022-03-09T18:51:18.412517 #1]  INFO -- : 
I, [2022-03-09T18:51:18.412746 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/discourse-data-explorer.git
Cloning into 'discourse-data-explorer'...
I, [2022-03-09T18:51:19.095515 #1]  INFO -- : 
I, [2022-03-09T18:51:19.095872 #1]  INFO -- : > cp /var/www/discourse/config/nginx.sample.conf /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T18:51:19.105853 #1]  INFO -- : 
I, [2022-03-09T18:51:19.106108 #1]  INFO -- : > rm /etc/nginx/sites-enabled/default
I, [2022-03-09T18:51:19.111095 #1]  INFO -- : 
I, [2022-03-09T18:51:19.111463 #1]  INFO -- : > mkdir -p /var/nginx/cache
I, [2022-03-09T18:51:19.117634 #1]  INFO -- : 
I, [2022-03-09T18:51:19.118618 #1]  INFO -- : Replacing pid /run/nginx.pid; with daemon off; in /etc/nginx/nginx.conf
I, [2022-03-09T18:51:19.119154 #1]  INFO -- : Replacing (?m-ix:upstream[^\}]+\}) with upstream discourse { server 127.0.0.1:3000; } in /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T18:51:19.119626 #1]  INFO -- : Replacing (?-mix:server_name.+$) with server_name _ ; in /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T18:51:19.119968 #1]  INFO -- : Replacing (?-mix:client_max_body_size.+$) with client_max_body_size $upload_size ; in /etc/nginx/conf.d/discourse.conf
I, [2022-03-09T18:51:19.120293 #1]  INFO -- : > echo "done configuring web"
I, [2022-03-09T18:51:19.124280 #1]  INFO -- : done configuring web

I, [2022-03-09T18:51:19.124680 #1]  INFO -- : > cd /var/www/discourse && gem install bundler --conservative -v $(awk '/BUNDLED WITH/ { getline; gsub(/ /,""); print $0 }' Gemfile.lock)
I, [2022-03-09T18:51:20.364153 #1]  INFO -- : Successfully installed bundler-2.3.5
1 gem installed

I, [2022-03-09T18:51:20.364428 #1]  INFO -- : > cd /var/www/discourse && find /var/www/discourse ! -user discourse -exec chown discourse {} \+
I, [2022-03-09T18:51:24.465537 #1]  INFO -- : 
I, [2022-03-09T18:51:24.465885 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle install --deployment --retry 3 --jobs 4 --verbose --without test development'
[DEPRECATED] The `--deployment` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local deployment 'true'`, and stop using this flag
[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 'test development'`, and stop using this flag
I, [2022-03-09T18:53:49.379948 #1]  INFO -- : Running `bundle install --deployment --jobs 4 --retry 3 --verbose --without "test" "development"` with bundler 2.3.5
Frozen, using resolution from the lockfile
The definition is missing ["bootsnap-1.11.1", "actionmailer-6.1.4.7", "actionpack-6.1.4.7", "actionview-6.1.4.7", "activemodel-6.1.4.7", "activerecord-6.1.4.7", "activesupport-6.1.4.7", "railties-6.1.4.7", "sprockets-rails-3.4.2", "json-2.6.1", "mini_mime-1.1.2", "mini_suffix-0.3.3", "redis-4.5.1", "redis-namespace-1.8.2", "discourse-fonts-0.0.9", "message_bus-4.2.0", "rails_multisite-4.0.1", "fastimage-2.2.6", "aws-sdk-s3-1.96.1", "aws-sdk-sns-1.46.0", "excon-0.91.0", "image_optim-0.31.1", "nokogiri-1.13.3-x86_64-linux", "loofah-2.14.0", "css_parser-1.11.0", "omniauth-facebook-9.0.0", "omniauth-oauth2-1.7.2", "oj-3.13.11", "pg-1.3.3", "mini_sql-1.4.0", "rake-13.0.6", "thor-1.2.1", "sidekiq-6.4.1", "mini_racer-0.6.2", "rack-protection-2.2.0", "addressable-2.8.0", "json_schemer-0.2.19", "fast_blank-1.0.1", "rack-mini-profiler-3.0.0", "unicorn-6.1.0", "puma-5.6.2", "rss-0.2.9", "stackprof-0.2.19", "cppjieba_rb-0.4.2", "logster-2.10.1", "rqrcode-2.1.1", "rubyzip-2.3.2", "sanitize-6.0.0", "rails_failover-0.8.1", "msgpack-1.4.5", "activejob-6.1.4.7", "rails-html-sanitizer-1.4.2", "concurrent-ruby-1.1.9", "i18n-1.10.0", "minitest-5.15.0", "zeitwerk-2.5.4", "ffi-1.15.5", "aws-sdk-core-3.121.2", "aws-sdk-kms-1.44.0", "aws-sigv4-1.4.0", "unf_ext-0.0.8", "image_size-3.0.1", "in_threads-1.6.0", "racc-1.6.0", "hashie-5.0.0", "jwt-2.3.0", "libv8-node-16.10.0.0-x86_64-linux", "ecma-re-validator-0.4.0", "regexp_parser-2.2.1", "raindrops-0.20.0", "nio4r-2.5.8", "rexml-3.2.5", "request_store-1.5.1", "rqrcode_core-1.2.0", "globalid-1.0.0", "aws-eventstream-1.2.0", "aws-partitions-1.516.0", "jmespath-1.6.1", "oauth-0.5.8", "faraday-1.10.0", "openssl-2.2.1", "faraday-httpclient-1.0.1", "faraday-multipart-1.0.3", "faraday-net_http_persistent-1.2.0", "faraday-patron-1.0.0", "faraday-rack-1.0.0", "faraday-retry-1.0.3", "ruby2_keywords-0.0.5", "ipaddr-1.2.4"]
HTTP GET https://index.rubygems.org/versions
HTTP 206 Partial Content https://index.rubygems.org/versions
HTTP GET https://index.rubygems.org/versions
HTTP 200 OK https://index.rubygems.org/versions
Fetching gem metadata from https://rubygems.org/
Looking up gems ["actionmailer", "actionpack", "actionview", "actionview_precompiler", "active_model_serializers", "activejob", "activemodel", "activerecord", "activesupport", "addressable", "annotate", "ast", "aws-eventstream", "aws-partitions", "aws-sdk-core", "aws-sdk-kms", "aws-sdk-s3", "aws-sdk-sns", "aws-sigv4", "barber", "better_errors", "binding_of_caller", "bootsnap", "builder", "bullet", "byebug", "cbor", "certified", "chunky_png", "coderay", "colored2", "concurrent-ruby", "connection_pool", "cose", "cppjieba_rb", "crack", "crass", "css_parser", "debug_inspector", "diff-lcs", "diffy", "discourse-ember-rails", "discourse-ember-source", "discourse-fonts", "discourse_dev_assets", "docile", "ecma-re-validator", "email_reply_trimmer", "ember-data-source", "ember-handlebars-template", "ember-source", "erubi", "excon", "execjs", "exifr", "fabrication", "faker", "fakeweb", "faraday", "faraday-em_http", "faraday-em_synchrony", "faraday-excon", "faraday-httpclient", "faraday-multipart", "faraday-net_http", "faraday-net_http_persistent", "faraday-patron", "faraday-rack", "faraday-retry", "fast_blank", "fast_xs", "fastimage", "ffi", "fspath", "gc_tracer", "globalid", "guess_html_encoding", "hana", "hashdiff", "hashie", "highline", "hkdf", "htmlentities", "http_accept_language", "i18n", "image_optim", "image_size", "in_threads", "ipaddr", "jmespath", "jquery-rails", "json", "json-schema", "json_schemer", "jwt", "kgio", "libv8-node", "listen", "literate_randomizer", "lograge", "logstash-event", "logstash-logger", "logster", "loofah", "lru_redux", "lz4-ruby", "maxminddb", "memory_profiler", "message_bus", "method_source", "mini_mime", "mini_portile2", "mini_racer", "mini_scheduler", "mini_sql", "mini_suffix", "minitest", "mocha", "msgpack", "multi_json", "multi_xml", "multipart-post", "mustache", "nio4r", "nokogiri", "oauth", "oauth2", "oj", "omniauth", "omniauth-facebook", "omniauth-github", "omniauth-google-oauth2", "omniauth-oauth", "omniauth-oauth2", "omniauth-twitter", "openssl", "openssl-signature_algorithm", "optimist", "parallel", "parallel_tests", "parser", "pg", "progress", "pry", "pry-byebug", "pry-rails", "public_suffix", "puma", "r2", "racc", "rack", "rack-mini-profiler", "rack-protection", "rack-test", "rails-dom-testing", "rails-html-sanitizer", "rails_failover", "rails_multisite", "railties", "rainbow", "raindrops", "rake", "rb-fsevent", "rb-inotify", "rbtrace", "rchardet", "redis", "redis-namespace", "regexp_parser", "request_store", "rexml", "rinku", "rotp", "rqrcode", "rqrcode_core", "rspec", "rspec-core", "rspec-expectations", "rspec-html-matchers", "rspec-mocks", "rspec-rails", "rspec-support", "rss", "rswag-specs", "rtlit", "rubocop", "rubocop-ast", "rubocop-discourse", "rubocop-rspec", "ruby-prof", "ruby-progressbar", "ruby-readability", "ruby2_keywords", "rubyzip", "sanitize", "sassc", "sassc-rails", "seed-fu", "shoulda-matchers", "sidekiq", "simplecov", "simplecov-html", "simplecov_json_formatter", "sprockets", "sprockets-rails", "sshkey", "stackprof", "test-prof", "thor", "tilt", "tzinfo", "uglifier", "unf", "unf_ext", "unicode-display_width", "unicorn", "uniform_notifier", "uri_template", "webmock", "webpush", "xorcist", "yaml-lint", "zeitwerk"]
HTTP GET https://index.rubygems.org/info/annotate
HTTP GET https://index.rubygems.org/info/actionmailer
HTTP GET https://index.rubygems.org/info/active_model_serializers
HTTP GET https://index.rubygems.org/info/actionview
HTTP GET https://index.rubygems.org/info/actionpack
HTTP GET https://index.rubygems.org/info/activerecord
HTTP GET https://index.rubygems.org/info/activejob

[...]

HTTP 206 Partial Content https://index.rubygems.org/info/sinatra
HTTP GET https://index.rubygems.org/info/bigdecimal
HTTP 206 Partial Content https://index.rubygems.org/info/pry-doc
HTTP 206 Partial Content https://index.rubygems.org/info/rdf
HTTP 206 Partial Content https://index.rubygems.org/info/bigdecimal
Looking up gems ["multimap", "mime-types", "treetop", "tlsmail", "text-hyphen", "abstract", "bcrypt", "ZenTest", "RubyInline", "atomic", "jsonapi-parser", "ruby_core_source", "debugger-ruby_core_source", "snappy-jars", "net-protocol", "digest", "timeout", "equatable", "tty-color", "tty-which", "verse", "strings", "win32-api", "dotenv", "nenv", "rspec-logsplit", "timers", "facter", "celluloid-essentials", "celluloid-extras", "celluloid-fsm", "celluloid-pool", "celluloid-supervision", "metriks", "time", "spruz", "activeresource", "actionwebservice", "actioncable", "activestorage", "actionmailbox", "actiontext", "rack-openid", "ruby-openid-apps-discovery", "net-ldap", "rubyntlm", "pyu-ruby-sasl", "uuid", "XMLCanonicalizer", "restclient", "rest-client", "daemons", "ParseTree", "rubyforge", "gemcutter", "curses", "sass-listen", "webrick", "sprockets-helpers", "haml", "fssm", "compass-core", "compass-import-once", "temple", "jar-dependencies", "stringio", "sync", "mongrel", "mustermann", "link_header", "hamster"]
HTTP GET https://index.rubygems.org/info/digest
HTTP GET https://index.rubygems.org/info/timeout

[...]

HTTP GET https://index.rubygems.org/info/haml
HTTP 200 OK https://index.rubygems.org/info/stringio
HTTP 206 Partial Content https://index.rubygems.org/info/haml
Looking up gems ["facets", "polyglot", "archive-tar-minitar", "dotenv-deployment", "hitimes", "io-wait", "celluloid-gems", "coveralls", "test-unit", "rbtree", "faraday_middleware", "yajl-ruby", "avl_tree", "unicode_utils", "strings-ansi", "ruby-openid", "mime-types-data", "macaddr", "coffee-rails", "em-hiredis", "faye-websocket", "websocket-driver", "SexpProcessor", "log4r", "date", "netrc", "http-cookie", "http-accept", "net-scp", "CFPropertyList", "sys-admin", "win32-dir", "windows-api", "windows-pr", "win32-security", "hocon", "marcel", "mimemagic", "rails-observers", "activemodel-serializers-xml", "tool", "ruby-maven", "cgi_multipart_eof_fix", "fastthread", "gem_plugin"]
HTTP GET https://index.rubygems.org/info/io-wait
HTTP GET https://index.rubygems.org/info/unicode_utils
HTTP 200 OK https://index.rubygems.org/info/io-wait
HTTP 200 OK https://index.rubygems.org/info/unicode_utils
HTTP GET https://index.rubygems.org/info/date
HTTP GET https://index.rubygems.org/info/mime-types-data
HTTP GET https://index.rubygems.org/info/strings-ansi
HTTP GET https://index.rubygems.org/info/http-cookie
HTTP 206 Partial Content https://index.rubygems.org/info/mime-types-data
HTTP GET https://index.rubygems.org/info/rbtree
HTTP 200 OK https://index.rubygems.org/info/strings-ansi
HTTP 200 OK https://index.rubygems.org/info/date
HTTP GET https://index.rubygems.org/info/CFPropertyList
HTTP GET https://index.rubygems.org/info/faraday_middleware
HTTP GET https://index.rubygems.org/info/test-unit
HTTP 206 Partial Content https://index.rubygems.org/info/rbtree
HTTP GET https://index.rubygems.org/info/websocket-driver
HTTP 206 Partial Content https://index.rubygems.org/info/http-cookie
HTTP 206 Partial Content https://index.rubygems.org/info/CFPropertyList
HTTP 206 Partial Content https://index.rubygems.org/info/test-unit
HTTP 206 Partial Content https://index.rubygems.org/info/websocket-driver
HTTP GET https://index.rubygems.org/info/sys-admin
HTTP GET https://index.rubygems.org/info/ruby-maven
HTTP 206 Partial Content https://index.rubygems.org/info/sys-admin
HTTP 206 Partial Content https://index.rubygems.org/info/ruby-maven
HTTP GET https://index.rubygems.org/info/marcel
HTTP 206 Partial Content https://index.rubygems.org/info/marcel
HTTP 206 Partial Content https://index.rubygems.org/info/faraday_middleware
Looking up gems ["configuration", "mkrf", "ruby-yadis", "colorize", "systemu", "coffee-script", "hiredis", "minitar", "minitar-cli", "net-ssh", "ffi-win32-extensions", "power_assert", "libxml-ruby", "domain_name", "sqlite3", "websocket-extensions", "maven-tools", "ruby-maven-libs", "roauth"]
HTTP GET https://index.rubygems.org/info/net-ssh
HTTP GET https://index.rubygems.org/info/power_assert
HTTP 206 Partial Content https://index.rubygems.org/info/net-ssh
HTTP GET https://index.rubygems.org/info/libxml-ruby
HTTP GET https://index.rubygems.org/info/maven-tools
HTTP 206 Partial Content https://index.rubygems.org/info/power_assert
HTTP 206 Partial Content https://index.rubygems.org/info/libxml-ruby
HTTP 206 Partial Content https://index.rubygems.org/info/maven-tools
Looking up gems ["coffee-script-source", "powerbar", "needle", "jruby-pageant", "bcrypt_pbkdf", "rbnacl", "rbnacl-libsodium", "pattern-match", "virtus"]
HTTP GET https://index.rubygems.org/info/virtus
HTTP 206 Partial Content https://index.rubygems.org/info/virtus
Looking up gems ["ansi", "descendants_tracker", "axiom-types", "coercible", "equalizer"]
Looking up gems ["ice_nine", "adamantium"]
Looking up gems ["memoizable"]
Fetching rake 13.0.6
Installing rake 13.0.6
0:  rake (13.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rake-13.0.6.gemspec

[...]

Using rtlit 0.0.5
1:  rtlit (0.0.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rtlit-0.0.5.gemspec
Fetching rubyzip 2.3.2
Installing rubyzip 2.3.2
RubyZip 3.0 is coming!
**********************

The public API of some Rubyzip classes has been modernized to use named
parameters for optional arguments. Please check your usage of the
following classes:
  * `Zip::File`
  * `Zip::Entry`
  * `Zip::InputStream`
  * `Zip::OutputStream`

Please ensure that your Gemfiles and .gemspecs are suitably restrictive
to avoid an unexpected breakage when 3.0 is released (e.g. ~> 2.3.0).
See https://github.com/rubyzip/rubyzip for details. The Changelog also
lists other enhancements and bugfixes that have been implemented since
version 2.3.0.
1:  rubyzip (2.3.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rubyzip-2.3.2.gemspec
Using tilt 2.0.10
1:  tilt (2.0.10) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/tilt-2.0.10.gemspec
Using sshkey 2.0.0
1:  sshkey (2.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sshkey-2.0.0.gemspec
Fetching stackprof 0.2.19
Installing stackprof 0.2.19 with native extensions
Building native extensions. This could take a while...
0:  raindrops (0.20.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/raindrops-0.20.0.gemspec
Fetching unf_ext 0.0.8
Installing unf_ext 0.0.8 with native extensions
Building native extensions. This could take a while...
1:  stackprof (0.2.19) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/stackprof-0.2.19.gemspec
Using xorcist 1.1.2
1:  xorcist (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/xorcist-1.1.2.gemspec
Using rack-test 1.1.0
1:  rack-test (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-test-1.1.0.gemspec
Fetching request_store 1.5.1
Installing request_store 1.5.1
1:  request_store (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/request_store-1.5.1.gemspec
Fetching message_bus 4.2.0
Installing message_bus 4.2.0
1:  message_bus (4.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/message_bus-4.2.0.gemspec
Fetching rack-mini-profiler 3.0.0
Installing rack-mini-profiler 3.0.0
1:  rack-mini-profiler (3.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-mini-profiler-3.0.0.gemspec
Fetching rack-protection 2.2.0
Installing rack-protection 2.2.0
1:  rack-protection (2.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-protection-2.2.0.gemspec
Fetching addressable 2.8.0
Installing addressable 2.8.0
1:  addressable (2.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/addressable-2.8.0.gemspec
Fetching aws-sigv4 1.4.0
Installing aws-sigv4 1.4.0
1:  aws-sigv4 (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sigv4-1.4.0.gemspec
Using mail 2.8.0.edge from https://github.com/discourse/mail.git (at master@5b700fc)
1:  mail (2.8.0.edge) from /var/www/discourse/vendor/bundle/ruby/2.7.0/bundler/gems/mail-5b700fc95ee6/mail.gemspec
Using ember-data-source 3.0.2
1:  ember-data-source (3.0.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-data-source-3.0.2.gemspec
Using barber 0.12.2
1:  barber (0.12.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/barber-0.12.2.gemspec
Using uglifier 4.2.0
1:  uglifier (4.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/uglifier-4.2.0.gemspec
Fetching openssl 2.2.1
Installing openssl 2.2.1 with native extensions
Building native extensions. This could take a while...
0:  unf_ext (0.0.8) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unf_ext-0.0.8.gemspec
Fetching i18n 1.10.0
Installing i18n 1.10.0
0:  i18n (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/i18n-1.10.0.gemspec
Using tzinfo 2.0.4
0:  tzinfo (2.0.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/tzinfo-2.0.4.gemspec
Using sprockets 3.7.2
0:  sprockets (3.7.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sprockets-3.7.2.gemspec
Using pry 0.13.1
0:  pry (0.13.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-0.13.1.gemspec
Fetching nokogiri 1.13.3 (x86_64-linux)
Installing nokogiri 1.13.3 (x86_64-linux)
0:  nokogiri (1.13.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/nokogiri-1.13.3-x86_64-linux.gemspec
Fetching ecma-re-validator 0.4.0
Installing ecma-re-validator 0.4.0
0:  ecma-re-validator (0.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ecma-re-validator-0.4.0.gemspec
Fetching faraday-multipart 1.0.3
Installing faraday-multipart 1.0.3
0:  faraday-multipart (1.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-multipart-1.0.3.gemspec
Using omniauth 1.9.1
0:  omniauth (1.9.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-1.9.1.gemspec
Fetching image_optim 0.31.1
Installing image_optim 0.31.1
Rails image assets optimization is extracted into image_optim_rails gem
You can safely remove `config.assets.image_optim = false` if you are not going to use that gem
0:  image_optim (0.31.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/image_optim-0.31.1.gemspec
Fetching bootsnap 1.11.1
Installing bootsnap 1.11.1 with native extensions
Building native extensions. This could take a while...
3:  ffi (1.15.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ffi-1.15.5.gemspec
Using webpush 1.1.0
3:  webpush (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/webpush-1.1.0.gemspec
Using logstash-logger 0.26.1
3:  logstash-logger (0.26.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logstash-logger-0.26.1.gemspec
Fetching sidekiq 6.4.1
0:  bootsnap (1.11.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/bootsnap-1.11.1.gemspec
Fetching redis-namespace 1.8.2
Installing redis-namespace 1.8.2
0:  redis-namespace (1.8.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/redis-namespace-1.8.2.gemspec
Fetching mini_racer 0.6.2
Installing sidekiq 6.4.1
Installing mini_racer 0.6.2 with native extensions
Building native extensions. This could take a while...
3:  sidekiq (6.4.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sidekiq-6.4.1.gemspec
Fetching puma 5.6.2
Installing puma 5.6.2 with native extensions
Building native extensions. This could take a while...
2:  oj (3.13.11) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oj-3.13.11.gemspec
Fetching rss 0.2.9
Installing rss 0.2.9
2:  rss (0.2.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rss-0.2.9.gemspec
Fetching rqrcode 2.1.1
Installing rqrcode 2.1.1
2:  rqrcode (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rqrcode-2.1.1.gemspec
Fetching unicorn 6.1.0
Installing unicorn 6.1.0 with native extensions
Building native extensions. This could take a while...
2:  unicorn (6.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unicorn-6.1.0.gemspec
Fetching css_parser 1.11.0
Installing css_parser 1.11.0
2:  css_parser (1.11.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/css_parser-1.11.0.gemspec
Fetching aws-sdk-core 3.121.2
Installing aws-sdk-core 3.121.2
2:  aws-sdk-core (3.121.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-core-3.121.2.gemspec
Using unf 0.1.4
2:  unf (0.1.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unf-0.1.4.gemspec
Fetching activesupport 6.1.4.7
Installing activesupport 6.1.4.7
2:  activesupport (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activesupport-6.1.4.7.gemspec
Using ember-handlebars-template 0.8.0
2:  ember-handlebars-template (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-handlebars-template-0.8.0.gemspec
Using pry-byebug 3.9.0
2:  pry-byebug (3.9.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-byebug-3.9.0.gemspec
Using pry-rails 0.3.9
2:  pry-rails (0.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-rails-0.3.9.gemspec
Fetching loofah 2.14.0
Installing loofah 2.14.0
2:  loofah (2.14.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/loofah-2.14.0.gemspec
Using ruby-readability 0.7.0
2:  ruby-readability (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ruby-readability-0.7.0.gemspec
Fetching sanitize 6.0.0
Installing sanitize 6.0.0
3:  puma (5.6.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/puma-5.6.2.gemspec
Fetching json_schemer 0.2.19
2:  sanitize (6.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sanitize-6.0.0.gemspec
Fetching faraday 1.10.0
Installing json_schemer 0.2.19
Installing faraday 1.10.0
3:  json_schemer (0.2.19) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/json_schemer-0.2.19.gemspec
Using omniauth-oauth 1.2.0
3:  omniauth-oauth (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-oauth-1.2.0.gemspec
Fetching mini_suffix 0.3.3
2:  faraday (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-1.10.0.gemspec
Using rbtrace 0.4.14
2:  rbtrace (0.4.14) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rbtrace-0.4.14.gemspec
Using sassc 2.0.1
2:  sassc (2.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sassc-2.0.1.gemspec
Using mini_scheduler 0.13.0
2:  mini_scheduler (0.13.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_scheduler-0.13.0.gemspec
Fetching aws-sdk-kms 1.44.0
Installing mini_suffix 0.3.3
Installing aws-sdk-kms 1.44.0
2:  aws-sdk-kms (1.44.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-kms-1.44.0.gemspec
Fetching aws-sdk-sns 1.46.0
Installing aws-sdk-sns 1.46.0
3:  mini_suffix (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_suffix-0.3.3.gemspec
Using rails-dom-testing 2.0.3
3:  rails-dom-testing (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails-dom-testing-2.0.3.gemspec
Fetching globalid 1.0.0
2:  aws-sdk-sns (1.46.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-sns-1.46.0.gemspec
Installing globalid 1.0.0
Fetching activemodel 6.1.4.7
3:  globalid (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/globalid-1.0.0.gemspec
Fetching rails-html-sanitizer 1.4.2
Installing activemodel 6.1.4.7
Installing rails-html-sanitizer 1.4.2
3:  rails-html-sanitizer (1.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails-html-sanitizer-1.4.2.gemspec
Using omniauth-twitter 1.4.0
3:  omniauth-twitter (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-twitter-1.4.0.gemspec
Using oauth2 1.4.7
3:  oauth2 (1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oauth2-1.4.7.gemspec
Fetching aws-sdk-s3 1.96.1
Installing aws-sdk-s3 1.96.1
2:  activemodel (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activemodel-6.1.4.7.gemspec
Fetching activejob 6.1.4.7
Installing activejob 6.1.4.7
3:  aws-sdk-s3 (1.96.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-s3-1.96.1.gemspec
Fetching actionview 6.1.4.7
2:  activejob (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activejob-6.1.4.7.gemspec
Fetching omniauth-oauth2 1.7.2
Installing actionview 6.1.4.7
Installing omniauth-oauth2 1.7.2
2:  omniauth-oauth2 (1.7.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-oauth2-1.7.2.gemspec
Using active_model_serializers 0.8.4
2:  active_model_serializers (0.8.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/active_model_serializers-0.8.4.gemspec
Fetching activerecord 6.1.4.7
Installing activerecord 6.1.4.7
3:  actionview (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionview-6.1.4.7.gemspec
Fetching omniauth-facebook 9.0.0
Installing omniauth-facebook 9.0.0
3:  omniauth-facebook (9.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-facebook-9.0.0.gemspec
Using omniauth-github 1.4.0
3:  omniauth-github (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-github-1.4.0.gemspec
Using omniauth-google-oauth2 0.8.2
3:  omniauth-google-oauth2 (0.8.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-google-oauth2-0.8.2.gemspec
Fetching actionpack 6.1.4.7
Installing actionpack 6.1.4.7
3:  actionpack (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionpack-6.1.4.7.gemspec
Using actionview_precompiler 0.2.3
3:  actionview_precompiler (0.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionview_precompiler-0.2.3.gemspec
Fetching actionmailer 6.1.4.7
Installing actionmailer 6.1.4.7
3:  actionmailer (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionmailer-6.1.4.7.gemspec
Fetching railties 6.1.4.7
2:  activerecord (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activerecord-6.1.4.7.gemspec
Fetching sprockets-rails 3.4.2
Installing sprockets-rails 3.4.2
2:  sprockets-rails (3.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sprockets-rails-3.4.2.gemspec
Using seed-fu 2.3.9
2:  seed-fu (2.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/seed-fu-2.3.9.gemspec
Installing railties 6.1.4.7
3:  railties (6.1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/railties-6.1.4.7.gemspec
Using jquery-rails 4.4.0
2:  jquery-rails (4.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jquery-rails-4.4.0.gemspec
Using lograge 0.11.2
3:  lograge (0.11.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lograge-0.11.2.gemspec
Fetching rails_failover 0.8.1
Fetching rails_multisite 4.0.1
Installing rails_failover 0.8.1
Installing rails_multisite 4.0.1
3:  rails_multisite (4.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails_multisite-4.0.1.gemspec
Using sassc-rails 2.1.2
3:  sassc-rails (2.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sassc-rails-2.1.2.gemspec
Using discourse-ember-rails 0.18.6
3:  discourse-ember-rails (0.18.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-ember-rails-0.18.6.gemspec
2:  rails_failover (0.8.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails_failover-0.8.1.gemspec
0:  mini_racer (0.6.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_racer-0.6.2.gemspec
1:  openssl (2.2.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/openssl-2.2.1.gemspec
Using openssl-signature_algorithm 1.1.1
3:  openssl-signature_algorithm (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/openssl-signature_algorithm-1.1.1.gemspec
Using cose 1.2.0
2:  cose (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cose-1.2.0.gemspec
Bundle complete! 126 Gemfile dependencies, 176 gems now installed.
Gems in the groups 'test' and 'development' were not installed.
Bundled gems are installed into `./vendor/bundle`
Post-install message from image_optim:
Rails image assets optimization is extracted into image_optim_rails gem
You can safely remove `config.assets.image_optim = false` if you are not going to use that gem
Post-install message from rubyzip:
RubyZip 3.0 is coming!
**********************

The public API of some Rubyzip classes has been modernized to use named
parameters for optional arguments. Please check your usage of the
following classes:
  * `Zip::File`
  * `Zip::Entry`
  * `Zip::InputStream`
  * `Zip::OutputStream`

Please ensure that your Gemfiles and .gemspecs are suitably restrictive
to avoid an unexpected breakage when 3.0 is released (e.g. ~> 2.3.0).
See https://github.com/rubyzip/rubyzip for details. The Changelog also
lists other enhancements and bugfixes that have been implemented since
version 2.3.0.

I, [2022-03-09T18:53:49.380782 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake plugin:pull_compatible_all'
WARNING: Plugins were activated before running `rake plugin:pull_compatible_all`
  You should prefix this command with LOAD_PLUGINS=0
I, [2022-03-09T18:53:57.073915 #1]  INFO -- : discourse-checklist is already at latest compatible version
docker_manager is already at latest compatible version
discourse-data-explorer is already at latest compatible version
discourse-math is already at latest compatible version

I, [2022-03-09T18:53:57.074417 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
2022-03-09 18:54:02.719 UTC [5402] discourse@discourse LOG:  duration: 108.036 ms  bind <unnamed>: SELECT COUNT(*) FROM (SELECT 1 AS one FROM "users" LIMIT 20) subquery_for_count
2022-03-09 18:54:06.444 UTC [5404] discourse@discourse LOG:  duration: 579.863 ms  statement: UPDATE email_logs
	SET bounce_error_code = (
	  SELECT array_to_string(
	    regexp_matches(bounce_error_code, '\d\.\d\.\d+|\d{3}'),
	    ''
	  )
	) WHERE bounce_error_code IS NOT NULL;
	
I, [2022-03-09T18:54:09.277690 #1]  INFO -- : == 20220202223955 MigrateSelectableAvatarsEnabled: migrating ==================
-- execute("UPDATE site_settings AS s\n  SET value =\n    CASE WHEN t.value = 't' THEN 'no_one'\n    ELSE 'disabled'\n    END,\n  data_type = 7,\n  name = 'selectable_avatars_mode'\n  FROM site_settings t\n  WHERE s.id = t.id AND s.name = 'selectable_avatars_enabled'\n")
   -> 0.0031s
== 20220202223955 MigrateSelectableAvatarsEnabled: migrated (0.0116s) =========

== 20220209210449 AddBookmarkAutoDeletePreferenceToUserOption: migrating ======
-- add_column(:user_options, :bookmark_auto_delete_preference, :integer, {:default=>3, :null=>false})
   -> 0.0124s
== 20220209210449 AddBookmarkAutoDeletePreferenceToUserOption: migrated (0.0137s) 

== 20220214224506 ResetCustomEmojiPostBakesVersionSecureFix: migrating ========
== 20220214224506 ResetCustomEmojiPostBakesVersionSecureFix: migrated (0.0020s) 

== 20220214233625 AddBounceErrorCodeToEmailLog: migrating =====================
-- add_column(:email_logs, :bounce_error_code, :string, {:null=>true})
   -> 0.0028s
== 20220214233625 AddBounceErrorCodeToEmailLog: migrated (0.0043s) ============

== 20220215015538 DropUserStatCountConstraints: migrating =====================
-- execute("ALTER TABLE user_stats DROP CONSTRAINT topic_count_positive")
   -> 0.0075s
-- execute("ALTER TABLE user_stats DROP CONSTRAINT post_count_positive")
   -> 0.0007s
== 20220215015538 DropUserStatCountConstraints: migrated (0.0096s) ============

== 20220220234155 ConformBounceErrorCode: migrating ===========================
== 20220220234155 ConformBounceErrorCode: migrated (0.5815s) ==================

== 20220302163246 UpdateAvatarServiceDomain: migrating ========================
== 20220302163246 UpdateAvatarServiceDomain: migrated (0.0016s) ===============

== 20220302171443 RebakeOldAvatarServiceUrls: migrating =======================
== 20220302171443 RebakeOldAvatarServiceUrls: migrated (0.0109s) ==============

== 20220304162250 EnableUnaccentExtension: migrating ==========================
-- enable_extension("unaccent")
   -> 0.0344s
== 20220304162250 EnableUnaccentExtension: migrated (0.0359s) =================


I, [2022-03-09T18:54:09.278192 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake themes:update assets:precompile'
sh: 1: yarn: not found
I, [2022-03-09T18:54:15.437584 #1]  INFO -- : 
I, [2022-03-09T18:54:15.438488 #1]  INFO -- : Terminating async processes
I, [2022-03-09T18:54:15.438633 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 55
I, [2022-03-09T18:54:15.438735 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 172
2022-03-09 18:54:15.438 UTC [55] LOG:  received fast shutdown request
172:signal-handler (1646852055) Received SIGTERM scheduling shutdown...
2022-03-09 18:54:15.440 UTC [55] LOG:  aborting any active transactions
2022-03-09 18:54:15.444 UTC [55] LOG:  background worker "logical replication launcher" (PID 64) exited with exit code 1
2022-03-09 18:54:15.445 UTC [59] LOG:  shutting down
172:M 09 Mar 2022 18:54:15.471 # User requested shutdown...
172:M 09 Mar 2022 18:54:15.471 * Saving the final RDB snapshot before exiting.
2022-03-09 18:54:15.537 UTC [55] LOG:  database system is shut down
172:M 09 Mar 2022 18:54:15.726 * DB saved on disk
172:M 09 Mar 2022 18:54:15.726 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake themes:update assets:precompile' failed with return #<Process::Status: pid 5407 exit 127>
Location of failure: /pups/lib/pups/exec_command.rb:112:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"assets_precompile", "cmd"=>["su discourse -c 'bundle exec rake themes:update assets:precompile'"]}
7d2ee37397ababe468fcf3fbc7d308496594a575d4eadfde541d6e3a8473f00c
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.

Maybe this one is the culprit?

Try add EMBER_CLI_PROD_ASSETS: 0 to youre config and rebuild.

env:
  LANG: en_US.UTF-8
  EMBER_CLI_PROD_ASSETS: 0
  #LANG: de_DE.UTF-8  # macht Probleme...
  DISCOURSE_DEFAULT_LOCALE: de
2 Likes

my issue looks like it could be similar to this one:

well, but i didn’t forget to pull, so that report doesn’t really help me.

trying

now…

That was it. Thank you all so much!

I understand this is not the default behavior (anymore) and it has to do something with plugins? So probably not all plugins we use are compatible with the new default behavior: EMBER_CLI_PROD_ASSETS: 1 ?

Should I keep this setting disabled now permanently or will it cause trouble in the future?

1 Like

Yes. Any change you messed up with our launcher script and is not using the correct up to date base image for the docker bootstrap?

Our base image contains docker, unless you are running a too old one.

docker run --rm -it --name test discourse/base:2.0.20220224-2005 bash                                                 ✔  3s  
Unable to find image 'discourse/base:2.0.20220224-2005' locally
2.0.20220224-2005: Pulling from discourse/base
5eb5b503b376: Pull complete 
35b2f73fc27b: Pull complete 
44526e3ec669: Pull complete 
Digest: sha256:8a8bb9525882220196c0faa8ce95c62a7fb607fc203d4247b3d5985f3ca9c3d8
Status: Downloaded newer image for discourse/base:2.0.20220224-2005
root@8ae695971d60:/# yarn
yarn install v1.22.17
info No lockfile found.
[1/4] Resolving packages...
[2/4] Fetching packages...
[3/4] Linking dependencies...
[4/4] Building fresh packages...

success Saved lockfile.
Done in 0.04s.

We are removing that setting in the next few weeks, so that is not a real solution.

Okay, that hinted in the right direction.

Indeed, the docker image in the launcher script was too old. We did not mess with the script though, and it was up to date with origin/master.

What we missed was that the main branch of the discourse repository is has been renamed to “main” (formerly “master”).

After pulling from the main branch, the launcher worked with our original configuration, all plugins and without the EMBER_CLI_PROD_ASSETS workaround.

The last commit in the master branch added an automatic switch to the main branch. And it should autoupdate :thinking:

well, we explicitly pulled from master like this:

cd /var/discourse
git fetch origin master # now main
git checkout our_branch
git merge origin/master # now origin/main
cd containers # this is a submodule with our discourse configurations
git pull origin master
cd ..
./launcher rebuild our_board

Automatic switch happens when running from master. Since you are using a custom branch that means you need to carefully review commits, or situations like this can happen.

yes, sorry for the mess. We simply did not expect this situation, but now we will be more careful.

Actually, the custom branch was a leftover of early configurations and is not necessary anymore. I am going to remove it and switch to main.

1 Like